Index: introduction/common/changelog.xml
===================================================================
--- introduction/common/changelog.xml	(revision d5f41ed7e37ab88667ea418317bfc725298c9842)
+++ introduction/common/changelog.xml	(revision 49aa5e3a700e3292dc46403f015b657df86e5abe)
@@ -44,4 +44,9 @@
         </listitem>
         <listitem>
+          <para>[jim] - Removed 32bit and N32 builds from temp-system, upon testing
+          it was found that these were not needed for building the final system on
+          a multilib capable build.</para>
+        </listitem>
+        <listitem>
           <para>[jim] - Updated to Libtool 1.5.22.</para>
         </listitem>
Index: temp-system/mips64-chapter.xml
===================================================================
--- temp-system/mips64-chapter.xml	(revision d5f41ed7e37ab88667ea418317bfc725298c9842)
+++ temp-system/mips64-chapter.xml	(revision 49aa5e3a700e3292dc46403f015b657df86e5abe)
@@ -17,6 +17,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="mips64/gcc.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/zlib.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/zlib-n32.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/zlib-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/gawk.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/coreutils.xml"/>
@@ -30,6 +28,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/gettext.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/ncurses.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/ncurses-n32.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/ncurses-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/patch.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/tar.xml"/>
Index: mp-system/multilib/ncurses-64bit.xml
===================================================================
--- temp-system/multilib/ncurses-64bit.xml	(revision d5f41ed7e37ab88667ea418317bfc725298c9842)
+++ 	(revision )
@@ -1,60 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
-  "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-]>
-
-<sect1 id="ch-temp-system-ncurses-64bit" role="wrap">
-  <?dbhtml filename="ncurses-64.html"?>
-
-  <title>Ncurses-&ncurses-version; 64 Bit</title>
-
-  <indexterm zone="ch-temp-system-ncurses-64bit">
-    <primary sortas="a-Ncurses">Ncurses</primary>
-    <secondary>temporary system, 64 Bit</secondary>
-  </indexterm>
-
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../../final-system/common/ncurses.xml"
-  xpointer="xpointer(//*[@role='package'])"/>
-
-  <sect2 role="installation">
-    <title>Installation of Ncurses</title>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/ncurses.xml"
-    xpointer="xpointer(//*[@os='a'])"/>
-
-<screen os="b"><userinput>CC="${CC} ${BUILD64}" CXX="${CXX} ${BUILD64}" \
-   ./configure --prefix=/tools --with-shared \
-   --host=${LFS_TARGET} --without-debug --without-ada \
-   --enable-overwrite --with-build-cc=gcc --libdir=/tools/lib64</userinput></screen>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/ncurses.xml"
-    xpointer="xpointer(//*[@os='c'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/ncurses.xml"
-    xpointer="xpointer(//*[@os='d'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/ncurses.xml"
-    xpointer="xpointer(//*[@os='f'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/ncurses.xml"
-    xpointer="xpointer(//*[@os='g'])"/>
-
-  </sect2>
-
-  <sect2 role="content">
-    <title/>
-
-    <para>Details on this package are located in <xref
-    linkend="contents-ncurses" role="."/></para>
-
-  </sect2>
-
-</sect1>
Index: temp-system/multilib/ncurses.xml
===================================================================
--- temp-system/multilib/ncurses.xml	(revision 49aa5e3a700e3292dc46403f015b657df86e5abe)
+++ temp-system/multilib/ncurses.xml	(revision 49aa5e3a700e3292dc46403f015b657df86e5abe)
@@ -0,0 +1,60 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
+  "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+]>
+
+<sect1 id="ch-temp-system-ncurses" role="wrap">
+  <?dbhtml filename="ncurses.html"?>
+
+  <title>Ncurses-&ncurses-version;</title>
+
+  <indexterm zone="ch-temp-system-ncurses">
+    <primary sortas="a-Ncurses">Ncurses</primary>
+    <secondary>temporary system</secondary>
+  </indexterm>
+
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../../final-system/common/ncurses.xml"
+  xpointer="xpointer(//*[@role='package'])"/>
+
+  <sect2 role="installation">
+    <title>Installation of Ncurses</title>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/ncurses.xml"
+    xpointer="xpointer(//*[@os='a'])"/>
+
+<screen os="b"><userinput>CC="${CC} ${BUILD64}" CXX="${CXX} ${BUILD64}" \
+   ./configure --prefix=/tools --with-shared \
+   --host=${LFS_TARGET} --without-debug --without-ada \
+   --enable-overwrite --with-build-cc=gcc --libdir=/tools/lib64</userinput></screen>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/ncurses.xml"
+    xpointer="xpointer(//*[@os='c'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/ncurses.xml"
+    xpointer="xpointer(//*[@os='d'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/ncurses.xml"
+    xpointer="xpointer(//*[@os='f'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/ncurses.xml"
+    xpointer="xpointer(//*[@os='g'])"/>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title/>
+
+    <para>Details on this package are located in <xref
+    linkend="contents-ncurses" role="."/></para>
+
+  </sect2>
+
+</sect1>
Index: mp-system/multilib/zlib-64bit.xml
===================================================================
--- temp-system/multilib/zlib-64bit.xml	(revision d5f41ed7e37ab88667ea418317bfc725298c9842)
+++ 	(revision )
@@ -1,62 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
-  "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-]>
-
-<sect1 id="ch-temp-system-zlib-64bit" role="wrap">
-  <?dbhtml filename="zlib-64.html"?>
-
-  <title>Zlib-&zlib-version; 64 Bit</title>
-
-  <indexterm zone="ch-temp-system-zlib-64bit">
-    <primary sortas="a-Zlib">Zlib</primary>
-    <secondary>temporary system, 64 Bit</secondary>
-  </indexterm>
-
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../../final-system/common/zlib.xml"
-  xpointer="xpointer(//*[@role='package'])"/>
-
-  <sect2 role="installation">
-    <title>Installation of Zlib</title>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="zlib.xml"
-    xpointer="xpointer(//*[@os='a'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="zlib.xml"
-    xpointer="xpointer(//*[@os='b'])"/>
-
-<screen os="c"><userinput>CC="${CC} ${BUILD64}" \
-   ./configure --prefix=/tools --shared --libdir=/tools/lib64</userinput></screen>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="zlib.xml"
-    xpointer="xpointer(//*[@os='d'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="zlib.xml"
-    xpointer="xpointer(//*[@os='e'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="zlib.xml"
-    xpointer="xpointer(//*[@os='g'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="zlib.xml"
-    xpointer="xpointer(//*[@os='h'])"/>
-
-  </sect2>
-
-  <sect2 role="content">
-    <title/>
-
-    <para>Details on this package are located in <xref
-    linkend="contents-zlib" role="."/></para>
-
-  </sect2>
-
-</sect1>
Index: temp-system/multilib/zlib.xml
===================================================================
--- temp-system/multilib/zlib.xml	(revision 49aa5e3a700e3292dc46403f015b657df86e5abe)
+++ temp-system/multilib/zlib.xml	(revision 49aa5e3a700e3292dc46403f015b657df86e5abe)
@@ -0,0 +1,62 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
+  "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+]>
+
+<sect1 id="ch-temp-system-zlib" role="wrap">
+  <?dbhtml filename="zlib.html"?>
+
+  <title>Zlib-&zlib-version;</title>
+
+  <indexterm zone="ch-temp-system-zlib">
+    <primary sortas="a-Zlib">Zlib</primary>
+    <secondary>temporary system</secondary>
+  </indexterm>
+
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../../final-system/common/zlib.xml"
+  xpointer="xpointer(//*[@role='package'])"/>
+
+  <sect2 role="installation">
+    <title>Installation of Zlib</title>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/zlib.xml"
+    xpointer="xpointer(//*[@os='a'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/zlib.xml"
+    xpointer="xpointer(//*[@os='b'])"/>
+
+<screen os="c"><userinput>CC="${CC} ${BUILD64}" \
+   ./configure --prefix=/tools --shared --libdir=/tools/lib64</userinput></screen>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/zlib.xml"
+    xpointer="xpointer(//*[@os='d'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/zlib.xml"
+    xpointer="xpointer(//*[@os='e'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/zlib.xml"
+    xpointer="xpointer(//*[@os='g'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/zlib.xml"
+    xpointer="xpointer(//*[@os='h'])"/>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title/>
+
+    <para>Details on this package are located in <xref
+    linkend="contents-zlib" role="."/></para>
+
+  </sect2>
+
+</sect1>
Index: temp-system/sparc64-chapter.xml
===================================================================
--- temp-system/sparc64-chapter.xml	(revision d5f41ed7e37ab88667ea418317bfc725298c9842)
+++ temp-system/sparc64-chapter.xml	(revision 49aa5e3a700e3292dc46403f015b657df86e5abe)
@@ -17,5 +17,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="sparc64/gcc.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/zlib.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/zlib-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/gawk.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/coreutils.xml"/>
@@ -29,5 +28,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/gettext.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/ncurses.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/ncurses-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/patch.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/tar.xml"/>
Index: temp-system/x86_64-chapter.xml
===================================================================
--- temp-system/x86_64-chapter.xml	(revision d5f41ed7e37ab88667ea418317bfc725298c9842)
+++ temp-system/x86_64-chapter.xml	(revision 49aa5e3a700e3292dc46403f015b657df86e5abe)
@@ -17,5 +17,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="x86_64/gcc.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/zlib.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/zlib-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/gawk.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/coreutils.xml"/>
@@ -29,5 +28,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/gettext.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/ncurses.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/ncurses-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/patch.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/tar.xml"/>