Index: BOOK/final-system/alpha-chapter.xml
===================================================================
--- BOOK/final-system/alpha-chapter.xml	(revision f80951839c595ba266b4f4e42a000d5d52bc3291)
+++ BOOK/final-system/alpha-chapter.xml	(revision 53f8fe08938c27d52db7c35bf82ecbd6e97aa5f4)
@@ -31,8 +31,8 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/ncurses.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/pkg-config-lite.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/shadow.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/util-linux.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/procps.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/e2fsprogs.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/shadow.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/coreutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/iana-etc.xml"/>
Index: BOOK/final-system/common/util-linux.xml
===================================================================
--- BOOK/final-system/common/util-linux.xml	(revision f80951839c595ba266b4f4e42a000d5d52bc3291)
+++ BOOK/final-system/common/util-linux.xml	(revision 53f8fe08938c27d52db7c35bf82ecbd6e97aa5f4)
@@ -73,6 +73,5 @@
 
     <para os="f">To test the results, issue:
-    <userinput>make check</userinput>.</para>
-
+    <userinput>useradd nobody &amp;&amp; chown -Rv nobody . &amp;&amp; su nobody -s /bin/bash -c "PATH=$PATH make -k check" ; userdel nobody</userinput></para>
 
     <para os="g">Install the package:</para>
Index: BOOK/final-system/mips-chapter.xml
===================================================================
--- BOOK/final-system/mips-chapter.xml	(revision f80951839c595ba266b4f4e42a000d5d52bc3291)
+++ BOOK/final-system/mips-chapter.xml	(revision 53f8fe08938c27d52db7c35bf82ecbd6e97aa5f4)
@@ -31,8 +31,8 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/ncurses.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/pkg-config-lite.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/shadow.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/util-linux.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/procps.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/e2fsprogs.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/shadow.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/coreutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/iana-etc.xml"/>
Index: BOOK/final-system/mips64-64-chapter.xml
===================================================================
--- BOOK/final-system/mips64-64-chapter.xml	(revision f80951839c595ba266b4f4e42a000d5d52bc3291)
+++ BOOK/final-system/mips64-64-chapter.xml	(revision 53f8fe08938c27d52db7c35bf82ecbd6e97aa5f4)
@@ -31,8 +31,8 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/ncurses.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/pkg-config-lite.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/shadow.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/util-linux.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/procps.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/e2fsprogs.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/shadow.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/coreutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/iana-etc.xml"/>
Index: BOOK/final-system/mips64-chapter.xml
===================================================================
--- BOOK/final-system/mips64-chapter.xml	(revision f80951839c595ba266b4f4e42a000d5d52bc3291)
+++ BOOK/final-system/mips64-chapter.xml	(revision 53f8fe08938c27d52db7c35bf82ecbd6e97aa5f4)
@@ -46,4 +46,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/ncurses-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="mips64/pkg-config-lite.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/shadow.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/util-linux.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/util-linux-n32.xml"/>
@@ -56,5 +57,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/e2fsprogs-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/multiarch_wrapper.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/shadow.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/coreutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/iana-etc.xml"/>
Index: BOOK/final-system/ppc-chapter.xml
===================================================================
--- BOOK/final-system/ppc-chapter.xml	(revision f80951839c595ba266b4f4e42a000d5d52bc3291)
+++ BOOK/final-system/ppc-chapter.xml	(revision 53f8fe08938c27d52db7c35bf82ecbd6e97aa5f4)
@@ -31,8 +31,8 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/ncurses.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/pkg-config-lite.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/shadow.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/util-linux.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/procps.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/e2fsprogs.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/shadow.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/coreutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/iana-etc.xml"/>
Index: BOOK/final-system/ppc64-64-chapter.xml
===================================================================
--- BOOK/final-system/ppc64-64-chapter.xml	(revision f80951839c595ba266b4f4e42a000d5d52bc3291)
+++ BOOK/final-system/ppc64-64-chapter.xml	(revision 53f8fe08938c27d52db7c35bf82ecbd6e97aa5f4)
@@ -31,8 +31,8 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/ncurses.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/pkg-config-lite.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/shadow.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/util-linux.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/procps.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/e2fsprogs.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/shadow.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/coreutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/iana-etc.xml"/>
Index: BOOK/final-system/ppc64-chapter.xml
===================================================================
--- BOOK/final-system/ppc64-chapter.xml	(revision f80951839c595ba266b4f4e42a000d5d52bc3291)
+++ BOOK/final-system/ppc64-chapter.xml	(revision 53f8fe08938c27d52db7c35bf82ecbd6e97aa5f4)
@@ -40,4 +40,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/ncurses-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/pkg-config-lite.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/shadow.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/util-linux.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/util-linux-64bit.xml"/>
@@ -46,5 +47,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/e2fsprogs.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/e2fsprogs-64bit.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/shadow.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/coreutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/iana-etc.xml"/>
Index: BOOK/final-system/sparc-chapter.xml
===================================================================
--- BOOK/final-system/sparc-chapter.xml	(revision f80951839c595ba266b4f4e42a000d5d52bc3291)
+++ BOOK/final-system/sparc-chapter.xml	(revision 53f8fe08938c27d52db7c35bf82ecbd6e97aa5f4)
@@ -31,8 +31,8 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/ncurses.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/pkg-config-lite.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/shadow.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/util-linux.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/procps.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/e2fsprogs.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/shadow.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/coreutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/iana-etc.xml"/>
Index: BOOK/final-system/sparc64-64-chapter.xml
===================================================================
--- BOOK/final-system/sparc64-64-chapter.xml	(revision f80951839c595ba266b4f4e42a000d5d52bc3291)
+++ BOOK/final-system/sparc64-64-chapter.xml	(revision 53f8fe08938c27d52db7c35bf82ecbd6e97aa5f4)
@@ -31,8 +31,8 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/ncurses.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/pkg-config-lite.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/shadow.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/util-linux.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/procps.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/e2fsprogs.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/shadow.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/coreutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/iana-etc.xml"/>
Index: BOOK/final-system/sparc64-chapter.xml
===================================================================
--- BOOK/final-system/sparc64-chapter.xml	(revision f80951839c595ba266b4f4e42a000d5d52bc3291)
+++ BOOK/final-system/sparc64-chapter.xml	(revision 53f8fe08938c27d52db7c35bf82ecbd6e97aa5f4)
@@ -40,4 +40,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/ncurses-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/pkg-config-lite.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/shadow.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/util-linux.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/util-linux-64bit.xml"/>
@@ -46,5 +47,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/e2fsprogs.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/e2fsprogs-64bit.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/shadow.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/coreutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/iana-etc.xml"/>
Index: BOOK/final-system/x86-chapter.xml
===================================================================
--- BOOK/final-system/x86-chapter.xml	(revision f80951839c595ba266b4f4e42a000d5d52bc3291)
+++ BOOK/final-system/x86-chapter.xml	(revision 53f8fe08938c27d52db7c35bf82ecbd6e97aa5f4)
@@ -31,8 +31,8 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/ncurses.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/pkg-config-lite.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/shadow.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/util-linux.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/procps.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/e2fsprogs.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/shadow.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/coreutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/iana-etc.xml"/>
Index: BOOK/final-system/x86_64-64-chapter.xml
===================================================================
--- BOOK/final-system/x86_64-64-chapter.xml	(revision f80951839c595ba266b4f4e42a000d5d52bc3291)
+++ BOOK/final-system/x86_64-64-chapter.xml	(revision 53f8fe08938c27d52db7c35bf82ecbd6e97aa5f4)
@@ -31,8 +31,8 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/ncurses.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/pkg-config-lite.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/shadow.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/util-linux.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/procps.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/e2fsprogs.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/shadow.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/coreutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/iana-etc.xml"/>
Index: BOOK/final-system/x86_64-chapter.xml
===================================================================
--- BOOK/final-system/x86_64-chapter.xml	(revision f80951839c595ba266b4f4e42a000d5d52bc3291)
+++ BOOK/final-system/x86_64-chapter.xml	(revision 53f8fe08938c27d52db7c35bf82ecbd6e97aa5f4)
@@ -40,4 +40,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/ncurses-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/pkg-config-lite.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/shadow.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/util-linux.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/util-linux-64bit.xml"/>
@@ -46,5 +47,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/e2fsprogs.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/e2fsprogs-64bit.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/shadow.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/coreutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/iana-etc.xml"/>