Index: BOOK/cross-tools/arm/gcc-final.xml
===================================================================
--- BOOK/cross-tools/arm/gcc-final.xml	(revision a5cbaf25e1bc94c8923f329ddf2e381226d41f37)
+++ BOOK/cross-tools/arm/gcc-final.xml	(revision 54fde8faf8cce9512faa90dfb7b54ca88e700115)
@@ -50,10 +50,19 @@
 
 <screen os="ae"><userinput>AR=ar LDFLAGS="-Wl,-rpath,${CLFS}/cross-tools/lib" \
-  ../gcc-&gcc-version;/configure --prefix=${CLFS}/cross-tools \
-  --build=${CLFS_HOST} --target=${CLFS_TARGET} --host=${CLFS_HOST} \
-  --with-sysroot=${CLFS} --disable-nls --enable-shared \
-  --enable-languages=c --enable-c99 --enable-long-long \
-  --disable-multilib --with-arch=${CLFS_ARM_ARCH} \
-  --with-mode=${CLFS_ARM_MODE} --with-float=${CLFS_FLOAT} \
+  ../gcc-&gcc-version;/configure \
+  --prefix=${CLFS}/cross-tools \
+  --build=${CLFS_HOST} \
+  --target=${CLFS_TARGET} \
+  --host=${CLFS_HOST} \
+  --with-sysroot=${CLFS} \
+  --disable-nls \
+  --enable-shared \
+  --enable-languages=c \
+  --enable-c99 \
+  --enable-long-long \
+  --disable-multilib \
+  --with-arch=${CLFS_ARM_ARCH} \
+  --with-mode=${CLFS_ARM_MODE} \
+  --with-float=${CLFS_FLOAT} \
   --with-fpu=${CLFS_FPU}</userinput></screen>
 
Index: BOOK/cross-tools/arm/gcc-static.xml
===================================================================
--- BOOK/cross-tools/arm/gcc-static.xml	(revision a5cbaf25e1bc94c8923f329ddf2e381226d41f37)
+++ BOOK/cross-tools/arm/gcc-static.xml	(revision 54fde8faf8cce9512faa90dfb7b54ca88e700115)
@@ -49,12 +49,24 @@
 
 <screen os="ae"><userinput>AR=ar LDFLAGS="-Wl,-rpath,${CLFS}/cross-tools/lib" \
-  ../gcc-&gcc-version;/configure --prefix=${CLFS}/cross-tools \
-  --build=${CLFS_HOST} --host=${CLFS_HOST} --target=${CLFS_TARGET} \
-  --with-sysroot=${CLFS} --disable-nls  --disable-shared \
-  --without-headers --with-newlib \
-  --disable-decimal-float --disable-libgomp --disable-libmudflap \
-  --disable-libssp --disable-threads --enable-languages=c \
-  --disable-multilib --with-arch=${CLFS_ARM_ARCH} \
-  --with-mode=${CLFS_ARM_MODE} --with-float=${CLFS_FLOAT} \
+  ../gcc-&gcc-version;/configure \
+  --prefix=${CLFS}/cross-tools \
+  --build=${CLFS_HOST} \
+  --host=${CLFS_HOST} \
+  --target=${CLFS_TARGET} \
+  --with-sysroot=${CLFS} \
+  --disable-nls \
+  --disable-shared \
+  --without-headers \
+  --with-newlib \
+  --disable-decimal-float \
+  --disable-libgomp \
+  --disable-libmudflap \
+  --disable-libssp \
+  --disable-threads \
+  --enable-languages=c \
+  --disable-multilib \
+  --with-arch=${CLFS_ARM_ARCH} \
+  --with-mode=${CLFS_ARM_MODE} \
+  --with-float=${CLFS_FLOAT} \
   --with-fpu=${CLFS_FPU}</userinput></screen>
 
Index: BOOK/cross-tools/common/gcc-final.xml
===================================================================
--- BOOK/cross-tools/common/gcc-final.xml	(revision a5cbaf25e1bc94c8923f329ddf2e381226d41f37)
+++ BOOK/cross-tools/common/gcc-final.xml	(revision 54fde8faf8cce9512faa90dfb7b54ca88e700115)
@@ -56,10 +56,19 @@
 <!-- It's not actually used by any arch but is here for reference. -->
 <screen os="ae"><userinput>AR=ar LDFLAGS="-Wl,-rpath,${CLFS}/cross-tools/lib" \
-  ../gcc-&gcc-version;/configure --prefix=${CLFS}/cross-tools \
-  --build=${CLFS_HOST} --target=${CLFS_TARGET} --host=${CLFS_HOST} \
-  --with-sysroot=${CLFS} --disable-nls --enable-shared \
-  --enable-languages=c --enable-c99 --enable-long-long \
-  --with-mpfr=${CLFS}/cross-tools --with-gmp=${CLFS}/cross-tools \
-  --with-mpc=${CLFS}/cross-tools --disable-multilib</userinput></screen>
+  ../gcc-&gcc-version;/configure \
+  --prefix=${CLFS}/cross-tools \
+  --build=${CLFS_HOST} \
+  --target=${CLFS_TARGET} \
+  --host=${CLFS_HOST} \
+  --with-sysroot=${CLFS} \
+  --disable-nls \
+  --enable-shared \
+  --enable-languages=c \
+  --enable-c99 \
+  --enable-long-long \
+  --with-mpfr=${CLFS}/cross-tools \
+  --with-gmp=${CLFS}/cross-tools \
+  --with-mpc=${CLFS}/cross-tools \
+  --disable-multilib</userinput></screen>
 
     <variablelist os="af">
Index: BOOK/cross-tools/common/gcc-static.xml
===================================================================
--- BOOK/cross-tools/common/gcc-static.xml	(revision a5cbaf25e1bc94c8923f329ddf2e381226d41f37)
+++ BOOK/cross-tools/common/gcc-static.xml	(revision 54fde8faf8cce9512faa90dfb7b54ca88e700115)
@@ -52,10 +52,20 @@
 <!-- It's not actually used by any arch but is here for reference. -->
 <screen os="ae"><userinput>AR=ar LDFLAGS="-Wl,-rpath,${CLFS}/cross-tools/lib" \
-  ../gcc-&gcc-version;/configure --prefix=${CLFS}/cross-tools \
-  --build=${CLFS_HOST} --host=${CLFS_HOST} --target=${CLFS_TARGET} \
-  --with-sysroot=${CLFS} --disable-nls  --disable-shared \
-  --without-headers --with-newlib \
-  --disable-decimal-float --disable-libgomp --disable-libmudflap \
-  --disable-libssp --disable-threads --enable-languages=c \
+  ../gcc-&gcc-version;/configure \
+  --prefix=${CLFS}/cross-tools \
+  --build=${CLFS_HOST} \
+  --host=${CLFS_HOST} \
+  --target=${CLFS_TARGET} \
+  --with-sysroot=${CLFS} \
+  --disable-nls  \
+  --disable-shared \
+  --without-headers \
+  --with-newlib \
+  --disable-decimal-float \
+  --disable-libgomp \
+  --disable-libmudflap \
+  --disable-libssp \
+  --disable-threads \
+  --enable-languages=c \
   --disable-multilib</userinput></screen>
 
Index: BOOK/cross-tools/mips/gcc-final.xml
===================================================================
--- BOOK/cross-tools/mips/gcc-final.xml	(revision a5cbaf25e1bc94c8923f329ddf2e381226d41f37)
+++ BOOK/cross-tools/mips/gcc-final.xml	(revision 54fde8faf8cce9512faa90dfb7b54ca88e700115)
@@ -50,11 +50,20 @@
 
 <screen os="ae"><userinput>AR=ar LDFLAGS="-Wl,-rpath,${CLFS}/cross-tools/lib" \
-  ../gcc-&gcc-version;/configure --prefix=${CLFS}/cross-tools \
-  --build=${CLFS_HOST} --target=${CLFS_TARGET} --host=${CLFS_HOST} \
-  --with-sysroot=${CLFS} --disable-nls --enable-shared \
-  --enable-languages=c --enable-c99 --enable-long-long \
+  ../gcc-&gcc-version;/configure \
+  --prefix=${CLFS}/cross-tools \
+  --build=${CLFS_HOST} \
+  --target=${CLFS_TARGET} \
+  --host=${CLFS_HOST} \
+  --with-sysroot=${CLFS} \
+  --disable-nls \
+  --enable-shared \
+  --enable-languages=c \
+  --enable-c99 \
+  --enable-long-long \
   --disable-multilib \
-  --with-abi=${CLFS_ABI} --with-arch=mips${CLFS_MIPS_LEVEL} \
-  --with-float=${CLFS_FLOAT} --with-endian=${CLFS_ENDIAN}</userinput></screen>
+  --with-abi=${CLFS_ABI} \
+  --with-arch=mips${CLFS_MIPS_LEVEL} \
+  --with-float=${CLFS_FLOAT} \
+  --with-endian=${CLFS_ENDIAN}</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/cross-tools/mips/gcc-static.xml
===================================================================
--- BOOK/cross-tools/mips/gcc-static.xml	(revision a5cbaf25e1bc94c8923f329ddf2e381226d41f37)
+++ BOOK/cross-tools/mips/gcc-static.xml	(revision 54fde8faf8cce9512faa90dfb7b54ca88e700115)
@@ -49,12 +49,25 @@
 
 <screen os="ae"><userinput>AR=ar LDFLAGS="-Wl,-rpath,${CLFS}/cross-tools/lib" \
-  ../gcc-&gcc-version;/configure --prefix=${CLFS}/cross-tools \
-  --build=${CLFS_HOST} --host=${CLFS_HOST} --target=${CLFS_TARGET} \
-  --with-sysroot=${CLFS} --disable-nls  --disable-shared \
-  --without-headers --with-newlib \
-  --disable-decimal-float --disable-libgomp --disable-libmudflap \
-  --disable-libssp --disable-threads --enable-languages=c \
-  --disable-multilib --with-abi=${CLFS_ABI} --with-arch=mips${CLFS_MIPS_LEVEL} \
-  --with-float=${CLFS_FLOAT} --with-endian=${CLFS_ENDIAN}</userinput></screen>
+  ../gcc-&gcc-version;/configure \
+  --prefix=${CLFS}/cross-tools \
+  --build=${CLFS_HOST} \
+  --host=${CLFS_HOST} \
+  --target=${CLFS_TARGET} \
+  --with-sysroot=${CLFS} \
+  --disable-nls  \
+  --disable-shared \
+  --without-headers \
+  --with-newlib \
+  --disable-decimal-float \
+  --disable-libgomp \
+  --disable-libmudflap \
+  --disable-libssp \
+  --disable-threads \
+  --enable-languages=c \
+  --disable-multilib \
+  --with-abi=${CLFS_ABI} \
+  --with-arch=mips${CLFS_MIPS_LEVEL} \
+  --with-float=${CLFS_FLOAT} \
+  --with-endian=${CLFS_ENDIAN}</userinput></screen>
 
 <!-- Common configure switches for all archs -->
Index: BOOK/cross-tools/x86/gcc-final.xml
===================================================================
--- BOOK/cross-tools/x86/gcc-final.xml	(revision a5cbaf25e1bc94c8923f329ddf2e381226d41f37)
+++ BOOK/cross-tools/x86/gcc-final.xml	(revision 54fde8faf8cce9512faa90dfb7b54ca88e700115)
@@ -50,8 +50,15 @@
 
 <screen os="ae"><userinput>AR=ar LDFLAGS="-Wl,-rpath,${CLFS}/cross-tools/lib" \
-  ../gcc-&gcc-version;/configure --prefix=${CLFS}/cross-tools \
-  --build=${CLFS_HOST} --target=${CLFS_TARGET} --host=${CLFS_HOST} \
-  --with-sysroot=${CLFS} --disable-nls --enable-shared \
-  --enable-languages=c --enable-c99 --enable-long-long \
+  ../gcc-&gcc-version;/configure \
+  --prefix=${CLFS}/cross-tools \
+  --build=${CLFS_HOST} \
+  --target=${CLFS_TARGET} \
+  --host=${CLFS_HOST} \
+  --with-sysroot=${CLFS} \
+  --disable-nls \
+  --enable-shared \
+  --enable-languages=c \
+  --enable-c99 \
+  --enable-long-long \
   --disable-multilib \
   --with-arch=${CLFS_CPU}</userinput></screen>
Index: BOOK/cross-tools/x86/gcc-static.xml
===================================================================
--- BOOK/cross-tools/x86/gcc-static.xml	(revision a5cbaf25e1bc94c8923f329ddf2e381226d41f37)
+++ BOOK/cross-tools/x86/gcc-static.xml	(revision 54fde8faf8cce9512faa90dfb7b54ca88e700115)
@@ -49,11 +49,22 @@
 
 <screen os="ae"><userinput>AR=ar LDFLAGS="-Wl,-rpath,${CLFS}/cross-tools/lib" \
-  ../gcc-&gcc-version;/configure --prefix=${CLFS}/cross-tools \
-  --build=${CLFS_HOST} --host=${CLFS_HOST} --target=${CLFS_TARGET} \
-  --with-sysroot=${CLFS} --disable-nls  --disable-shared \
-  --without-headers --with-newlib \
-  --disable-decimal-float --disable-libgomp --disable-libmudflap \
-  --disable-libssp --disable-threads --enable-languages=c \
-  --disable-multilib --with-arch=${CLFS_CPU}</userinput></screen>
+  ../gcc-&gcc-version;/configure \
+  --prefix=${CLFS}/cross-tools \
+  --build=${CLFS_HOST} \
+  --host=${CLFS_HOST} \
+  --target=${CLFS_TARGET} \
+  --with-sysroot=${CLFS} \
+  --disable-nls  \
+  --disable-shared \
+  --without-headers \
+  --with-newlib \
+  --disable-decimal-float \
+  --disable-libgomp \
+  --disable-libmudflap \
+  --disable-libssp \
+  --disable-threads \
+  --enable-languages=c \
+  --disable-multilib \
+  --with-arch=${CLFS_CPU}</userinput></screen>
 
 <!-- Common configure switches for all archs -->