Index: BOOK/prologue/common/audience.xml
===================================================================
--- BOOK/prologue/common/audience.xml	(revision cfe892daaadf205fbd754fddcc4269bd3bed8af1)
+++ BOOK/prologue/common/audience.xml	(revision 55a59e934146ecd85db578f4347e80f7c217dd37)
@@ -12,36 +12,36 @@
 
   <para>There are many reasons why somebody would want to read this book.
-  The principal reason is to install a Linux system from the
-  source code. A question many people raise is, <quote>why go through all
-  the hassle of manually building a Linux system from scratch when you
-  can just download and install an existing one?</quote> That is a good
-  question and is the impetus for this section of the book.</para>
+  The principal reason is to install a Linux system from the  source code.
+  A question many people raise is, <quote>why go through all the hassle of
+  manually building a Linux system from scratch when you can just download
+  and install an existing one?</quote> That is a good question and is the
+  impetus for this section of the book.</para>
 
-  <para>One important reason for CLFS's existence is to help people learn
-  how a Linux system works from the inside out. Building an CLFS system
-  helps demonstrate what makes Linux tick, and how things work together
-  and depend on each other. One of the best things that this learning
-  experience provides is the ability to customize Linux to your own
+  <para>One important reason for the existence of CLFS is to help people
+  understand how a Linux system works.  Building an CLFS system helps
+  demonstrate what makes Linux tick, and how things work together and
+  depend on each other. One of the best things this learning experience
+  provides is the ability to customize Linux to your own
   tastes and needs.</para>
 
   <para>A key benefit of CLFS is that it allows users to have more control
-  over the system without relying on someone else's Linux implementation.
-  With CLFS, <emphasis>you</emphasis> are in the driver's seat and dictate
-  every aspect of the system, such as the directory layout and bootscript
-  setup. You also dictate where, why, and how programs are installed.</para>
+  over their system without any reliance on a Linux implementation designed
+  by someone else.  With CLFS, <emphasis>you</emphasis> are in the driver's
+  seat and dictate every aspect of the system, such as the directory layout
+  and bootscript setup. You also dictate where, why, and how programs are
+  installed.</para>
 
   <para>Another benefit of CLFS is the ability to create a very compact
-  Linux system. When installing a regular distribution, one is often
-  forced to include several programs which are probably never used. These
-  programs waste disk space, or worse, CPU cycles. It is not
-  difficult to build an CLFS system of less than 100 megabytes (MB), which
-  is substantially smaller than the majority of existing
-  installations.  Does this still sound like a lot of space? A few of us
-  have been working on creating a very small embedded CLFS system. We
-  successfully built a system that was specialized to run the Apache web
-  server with approximately 8MB of disk space used. Further stripping
-  could bring this down to 5 MB or less. Try that with a regular
-  distribution! This is only one of the many benefits of designing your
-  own Linux implementation.</para>
+  Linux system. When installing a regular distribution, one is often forced
+  to include several programs which are probably never used. These programs
+  waste disk space or CPU cycles.  It is not difficult to build an CLFS
+  system of less than 100 megabytes (MB), which is substantially smaller
+  than the majority of existing installations.  Does this still sound like a
+  lot of space? A few of us have been working on creating a very small
+  embedded CLFS system. We successfully built a system that was specialized
+  to run the Apache web server with approximately 8MB of disk space used.
+  Further stripping could bring this down to 5 MB or less. Try that with a
+  regular distribution! This is only one of the many benefits of designing
+  your own Linux implementation.</para>
 
   <para>We could compare Linux distributions to a hamburger purchased at
@@ -58,7 +58,7 @@
   finished house. CLFS provides the skeletal plan of a house, but it is up
   to you to build it. CLFS maintains the freedom to adjust plans throughout
-  the process, customizing it to the user's needs and preferences.</para>
+  the process, customizing it to the needs and preferences of the user.</para>
 
-  <para>An additional advantage of a custom built Linux system is security.
+  <para>Security is an additional advantage of a custom built Linux system.
   By compiling the entire system from source code, you are empowered to
   audit everything and apply all the security patches desired. It is no
@@ -68,7 +68,7 @@
   correctly and adequately fixes the problem.</para>
 
-  <para>The goal of Cross Linux From Scratch is to build a complete and usable
-  foundation-level system. Readers who do not wish to build their own
-  Linux system from scratch may not benefit from the information in this
+  <para>The goal of Cross Linux From Scratch is to build a complete and
+  usable foundation-level system. Readers who do not wish to build their
+  own Linux system from scratch may not benefit from the information in this
   book. If you only want to know what happens while the computer boots,
   we recommend the <quote>From Power Up To Bash Prompt</quote> HOWTO
@@ -78,6 +78,6 @@
   The HOWTO builds a system which is similar to that of this book, but it
   focuses strictly on creating a system capable of booting to a BASH prompt.
-  Consider your objective. If you wish to build a Linux system while
-  learning along the way, then this book is your best choice.</para>
+  Consider your objective. If you wish to build a Linux system and learn
+  along the way, this book is your best choice.</para>
 
   <para>There are too many good reasons to build your own CLFS system to