Index: BOOK/final-system/alpha/eglibc.xml
===================================================================
--- BOOK/final-system/alpha/eglibc.xml	(revision 7e8e26850375ee219865c57e894d012e31fcc377)
+++ BOOK/final-system/alpha/eglibc.xml	(revision 57b3f19b23cfc82bd90fe220d304f2e52f3dae68)
@@ -49,4 +49,12 @@
     href="../common/eglibc.xml"
     xpointer="xpointer(//*[@os='p2'])"/>
+    
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/eglibc.xml"
+    xpointer="xpointer(//*[@os='p3'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/eglibc.xml"
+    xpointer="xpointer(//*[@os='p4'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/final-system/common/eglibc.xml
===================================================================
--- BOOK/final-system/common/eglibc.xml	(revision 7e8e26850375ee219865c57e894d012e31fcc377)
+++ BOOK/final-system/common/eglibc.xml	(revision 57b3f19b23cfc82bd90fe220d304f2e52f3dae68)
@@ -63,4 +63,9 @@
 
 <screen os="p2"><userinput>patch -Np1 -i ../&eglibc-dl_dep_fix-patch;</userinput></screen>
+
+    <para os="p3">The following patch fixes an issue that can cause
+      ALSA to crash:</para>
+      
+<screen os="p4"><userinput>patch -Np1 -i ../&eglibc-fixes-patch;</userinput></screen>
 
     <para os="b">The EGLIBC build system is self-contained and will install
Index: BOOK/final-system/mips/eglibc.xml
===================================================================
--- BOOK/final-system/mips/eglibc.xml	(revision 7e8e26850375ee219865c57e894d012e31fcc377)
+++ BOOK/final-system/mips/eglibc.xml	(revision 57b3f19b23cfc82bd90fe220d304f2e52f3dae68)
@@ -49,4 +49,12 @@
     href="../common/eglibc.xml"
     xpointer="xpointer(//*[@os='p2'])"/>
+    
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/eglibc.xml"
+    xpointer="xpointer(//*[@os='p3'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/eglibc.xml"
+    xpointer="xpointer(//*[@os='p4'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/final-system/mips64-64/eglibc.xml
===================================================================
--- BOOK/final-system/mips64-64/eglibc.xml	(revision 7e8e26850375ee219865c57e894d012e31fcc377)
+++ BOOK/final-system/mips64-64/eglibc.xml	(revision 57b3f19b23cfc82bd90fe220d304f2e52f3dae68)
@@ -49,4 +49,12 @@
     href="../common/eglibc.xml"
     xpointer="xpointer(//*[@os='p2'])"/>
+    
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/eglibc.xml"
+    xpointer="xpointer(//*[@os='p3'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/eglibc.xml"
+    xpointer="xpointer(//*[@os='p4'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/final-system/mips64/eglibc-64bit.xml
===================================================================
--- BOOK/final-system/mips64/eglibc-64bit.xml	(revision 7e8e26850375ee219865c57e894d012e31fcc377)
+++ BOOK/final-system/mips64/eglibc-64bit.xml	(revision 57b3f19b23cfc82bd90fe220d304f2e52f3dae68)
@@ -45,4 +45,12 @@
     href="../common/eglibc.xml"
     xpointer="xpointer(//*[@os='p2'])"/>
+    
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/eglibc.xml"
+    xpointer="xpointer(//*[@os='p3'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/eglibc.xml"
+    xpointer="xpointer(//*[@os='p4'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/final-system/mips64/eglibc-n32.xml
===================================================================
--- BOOK/final-system/mips64/eglibc-n32.xml	(revision 7e8e26850375ee219865c57e894d012e31fcc377)
+++ BOOK/final-system/mips64/eglibc-n32.xml	(revision 57b3f19b23cfc82bd90fe220d304f2e52f3dae68)
@@ -46,4 +46,12 @@
     href="../common/eglibc.xml"
     xpointer="xpointer(//*[@os='p2'])"/>
+    
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/eglibc.xml"
+    xpointer="xpointer(//*[@os='p3'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/eglibc.xml"
+    xpointer="xpointer(//*[@os='p4'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/final-system/mips64/eglibc.xml
===================================================================
--- BOOK/final-system/mips64/eglibc.xml	(revision 7e8e26850375ee219865c57e894d012e31fcc377)
+++ BOOK/final-system/mips64/eglibc.xml	(revision 57b3f19b23cfc82bd90fe220d304f2e52f3dae68)
@@ -50,4 +50,12 @@
     href="../common/eglibc.xml"
     xpointer="xpointer(//*[@os='p2'])"/>
+    
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/eglibc.xml"
+    xpointer="xpointer(//*[@os='p3'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/eglibc.xml"
+    xpointer="xpointer(//*[@os='p4'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/final-system/multilib/eglibc-64bit.xml
===================================================================
--- BOOK/final-system/multilib/eglibc-64bit.xml	(revision 7e8e26850375ee219865c57e894d012e31fcc377)
+++ BOOK/final-system/multilib/eglibc-64bit.xml	(revision 57b3f19b23cfc82bd90fe220d304f2e52f3dae68)
@@ -46,4 +46,12 @@
     href="../common/eglibc.xml"
     xpointer="xpointer(//*[@os='p2'])"/>
+    
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/eglibc.xml"
+    xpointer="xpointer(//*[@os='p3'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/eglibc.xml"
+    xpointer="xpointer(//*[@os='p4'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/final-system/multilib/eglibc.xml
===================================================================
--- BOOK/final-system/multilib/eglibc.xml	(revision 7e8e26850375ee219865c57e894d012e31fcc377)
+++ BOOK/final-system/multilib/eglibc.xml	(revision 57b3f19b23cfc82bd90fe220d304f2e52f3dae68)
@@ -50,4 +50,12 @@
     href="../common/eglibc.xml"
     xpointer="xpointer(//*[@os='p2'])"/>
+    
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/eglibc.xml"
+    xpointer="xpointer(//*[@os='p3'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/eglibc.xml"
+    xpointer="xpointer(//*[@os='p4'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/final-system/ppc/eglibc.xml
===================================================================
--- BOOK/final-system/ppc/eglibc.xml	(revision 7e8e26850375ee219865c57e894d012e31fcc377)
+++ BOOK/final-system/ppc/eglibc.xml	(revision 57b3f19b23cfc82bd90fe220d304f2e52f3dae68)
@@ -41,4 +41,12 @@
     href="../common/eglibc.xml"
     xpointer="xpointer(//*[@os='l4'])"/>
+    
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/eglibc.xml"
+    xpointer="xpointer(//*[@os='p3'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/eglibc.xml"
+    xpointer="xpointer(//*[@os='p4'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/final-system/ppc64/eglibc-64bit.xml
===================================================================
--- BOOK/final-system/ppc64/eglibc-64bit.xml	(revision 7e8e26850375ee219865c57e894d012e31fcc377)
+++ BOOK/final-system/ppc64/eglibc-64bit.xml	(revision 57b3f19b23cfc82bd90fe220d304f2e52f3dae68)
@@ -45,4 +45,12 @@
     href="../common/eglibc.xml"
     xpointer="xpointer(//*[@os='p2'])"/>
+    
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/eglibc.xml"
+    xpointer="xpointer(//*[@os='p3'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/eglibc.xml"
+    xpointer="xpointer(//*[@os='p4'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/final-system/ppc64/eglibc.xml
===================================================================
--- BOOK/final-system/ppc64/eglibc.xml	(revision 7e8e26850375ee219865c57e894d012e31fcc377)
+++ BOOK/final-system/ppc64/eglibc.xml	(revision 57b3f19b23cfc82bd90fe220d304f2e52f3dae68)
@@ -50,4 +50,12 @@
     href="../common/eglibc.xml"
     xpointer="xpointer(//*[@os='p2'])"/>
+    
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/eglibc.xml"
+    xpointer="xpointer(//*[@os='p3'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/eglibc.xml"
+    xpointer="xpointer(//*[@os='p4'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/final-system/sparc64-64/eglibc.xml
===================================================================
--- BOOK/final-system/sparc64-64/eglibc.xml	(revision 7e8e26850375ee219865c57e894d012e31fcc377)
+++ BOOK/final-system/sparc64-64/eglibc.xml	(revision 57b3f19b23cfc82bd90fe220d304f2e52f3dae68)
@@ -41,4 +41,12 @@
     href="../common/eglibc.xml"
     xpointer="xpointer(//*[@os='l4'])"/>
+    
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/eglibc.xml"
+    xpointer="xpointer(//*[@os='p3'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/eglibc.xml"
+    xpointer="xpointer(//*[@os='p4'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/final-system/sparc64/eglibc-64bit.xml
===================================================================
--- BOOK/final-system/sparc64/eglibc-64bit.xml	(revision 7e8e26850375ee219865c57e894d012e31fcc377)
+++ BOOK/final-system/sparc64/eglibc-64bit.xml	(revision 57b3f19b23cfc82bd90fe220d304f2e52f3dae68)
@@ -37,4 +37,12 @@
     href="../multilib/eglibc-64bit.xml"
     xpointer="xpointer(//*[@os='l4'])"/>
+    
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/eglibc.xml"
+    xpointer="xpointer(//*[@os='p3'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/eglibc.xml"
+    xpointer="xpointer(//*[@os='p4'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/final-system/x86/eglibc.xml
===================================================================
--- BOOK/final-system/x86/eglibc.xml	(revision 7e8e26850375ee219865c57e894d012e31fcc377)
+++ BOOK/final-system/x86/eglibc.xml	(revision 57b3f19b23cfc82bd90fe220d304f2e52f3dae68)
@@ -41,4 +41,12 @@
     href="../common/eglibc.xml"
     xpointer="xpointer(//*[@os='l4'])"/>
+    
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/eglibc.xml"
+    xpointer="xpointer(//*[@os='p3'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/eglibc.xml"
+    xpointer="xpointer(//*[@os='p4'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/final-system/x86_64-64/eglibc.xml
===================================================================
--- BOOK/final-system/x86_64-64/eglibc.xml	(revision 7e8e26850375ee219865c57e894d012e31fcc377)
+++ BOOK/final-system/x86_64-64/eglibc.xml	(revision 57b3f19b23cfc82bd90fe220d304f2e52f3dae68)
@@ -41,4 +41,12 @@
     href="../common/eglibc.xml"
     xpointer="xpointer(//*[@os='l4'])"/>
+    
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/eglibc.xml"
+    xpointer="xpointer(//*[@os='p3'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/eglibc.xml"
+    xpointer="xpointer(//*[@os='p4'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/final-system/x86_64/eglibc-64bit.xml
===================================================================
--- BOOK/final-system/x86_64/eglibc-64bit.xml	(revision 7e8e26850375ee219865c57e894d012e31fcc377)
+++ BOOK/final-system/x86_64/eglibc-64bit.xml	(revision 57b3f19b23cfc82bd90fe220d304f2e52f3dae68)
@@ -37,4 +37,12 @@
     href="../multilib/eglibc-64bit.xml"
     xpointer="xpointer(//*[@os='l4'])"/>
+    
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/eglibc.xml"
+    xpointer="xpointer(//*[@os='p3'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/eglibc.xml"
+    xpointer="xpointer(//*[@os='p4'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/final-system/x86_64/eglibc.xml
===================================================================
--- BOOK/final-system/x86_64/eglibc.xml	(revision 7e8e26850375ee219865c57e894d012e31fcc377)
+++ BOOK/final-system/x86_64/eglibc.xml	(revision 57b3f19b23cfc82bd90fe220d304f2e52f3dae68)
@@ -42,4 +42,12 @@
     href="../common/eglibc.xml"
     xpointer="xpointer(//*[@os='l4'])"/>
+    
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/eglibc.xml"
+    xpointer="xpointer(//*[@os='p3'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/eglibc.xml"
+    xpointer="xpointer(//*[@os='p4'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/introduction/common/changelog.xml
===================================================================
--- BOOK/introduction/common/changelog.xml	(revision 7e8e26850375ee219865c57e894d012e31fcc377)
+++ BOOK/introduction/common/changelog.xml	(revision 57b3f19b23cfc82bd90fe220d304f2e52f3dae68)
@@ -40,4 +40,7 @@
       <para>16 February 2012</para>
       <itemizedlist>
+        <listitem>
+          <para>[Jonathan] - Added Eglibc patch to fix memory issue with ALSA.</para>
+        </listitem>
         <listitem>
           <para>[Jonathan] - Updated Man-pages to 3.35.</para>
Index: BOOK/materials/common/patches.xml
===================================================================
--- BOOK/materials/common/patches.xml	(revision 7e8e26850375ee219865c57e894d012e31fcc377)
+++ BOOK/materials/common/patches.xml	(revision 57b3f19b23cfc82bd90fe220d304f2e52f3dae68)
@@ -45,4 +45,13 @@
       </listitem>
     </varlistentry>
+    
+    <varlistentry>
+      <term>EGLIBC Fixes Patch - <token>&eglibc-fixes-patch-size;</token>:</term>
+      <listitem>
+        <para>Download: <ulink
+        url="&patches-root;&eglibc-fixes-patch;"/></para>
+        <para>MD5 sum: <literal>&eglibc-fixes-patch-md5;</literal></para>
+      </listitem>
+    </varlistentry>
 
     <varlistentry>
Index: BOOK/patches.ent
===================================================================
--- BOOK/patches.ent	(revision 7e8e26850375ee219865c57e894d012e31fcc377)
+++ BOOK/patches.ent	(revision 57b3f19b23cfc82bd90fe220d304f2e52f3dae68)
@@ -20,4 +20,8 @@
 <!ENTITY eglibc-dl_dep_fix-patch-md5 "fd640e7758e8560839bde1358ee44885">
 <!ENTITY eglibc-dl_dep_fix-patch-size "4 KB">
+
+<!ENTITY eglibc-fixes-patch "eglibc-&eglibc-version;-fixes-1.patch">
+<!ENTITY eglibc-fixes-patch-md5 "fd640e7758e8560839bde1358ee44885">
+<!ENTITY eglibc-fixes-patch-size "4 KB">
 
 <!ENTITY gcc-specs-patch "gcc-&gcc-version;-specs-1.patch">
Index: patches/eglibc-2.15-fixes-1.patch
===================================================================
--- patches/eglibc-2.15-fixes-1.patch	(revision 57b3f19b23cfc82bd90fe220d304f2e52f3dae68)
+++ patches/eglibc-2.15-fixes-1.patch	(revision 57b3f19b23cfc82bd90fe220d304f2e52f3dae68)
@@ -0,0 +1,107 @@
+Submitted By: Jonathan Norman (jonathan at bluesquarelinux dot co dot uk)
+Date: 2012-02-16
+Initial Package Version: 2.15
+Origin: http://sourceware.org/ml/libc-alpha/2011-06/msg00010.html
+Upstream Status: Submitted
+Description: Fixes segfault with sound devices / output.
+
+diff -Naur eglibc-2_15.orig/elf/dl-close.c eglibc-2_15/elf/dl-close.c
+--- eglibc-2_15.orig/elf/dl-close.c	2012-02-16 09:31:47.478224779 +0000
++++ eglibc-2_15/elf/dl-close.c	2012-02-16 09:37:17.287098571 +0000
+@@ -119,17 +119,8 @@
+   if (map->l_direct_opencount > 0 || map->l_type != lt_loaded
+       || dl_close_state != not_pending)
+     {
+-      if (map->l_direct_opencount == 0)
+-	{
+-	  if (map->l_type == lt_loaded)
+-	    dl_close_state = rerun;
+-	  else if (map->l_type == lt_library)
+-	    {
+-	      struct link_map **oldp = map->l_initfini;
+-	      map->l_initfini = map->l_orig_initfini;
+-	      _dl_scope_free (oldp);
+-	    }
+-	}
++      if (map->l_direct_opencount == 0 && map->l_type == lt_loaded)
++	dl_close_state = rerun;
+ 
+       /* There are still references to this object.  Do nothing more.  */
+       if (__builtin_expect (GLRO_dl_debug_mask & DL_DEBUG_FILES, 0))
+diff -Naur eglibc-2_15.orig/elf/dl-deps.c eglibc-2_15/elf/dl-deps.c
+--- eglibc-2_15.orig/elf/dl-deps.c	2012-02-16 09:31:47.474224671 +0000
++++ eglibc-2_15/elf/dl-deps.c	2012-02-16 09:39:54.791335897 +0000
+@@ -489,6 +489,8 @@
+ 		  nneeded * sizeof needed[0]);
+ 	  atomic_write_barrier ();
+ 	  l->l_initfini = l_initfini;
++	  l->l_free_initfini = 1;
++
+ 	}
+ 
+       /* If we have no auxiliary objects just go on to the next map.  */
+@@ -689,6 +691,7 @@
+   l_initfini[nlist] = NULL;
+   atomic_write_barrier ();
+   map->l_initfini = l_initfini;
++  map->l_free_initfini = 1;
+   if (l_reldeps != NULL)
+     {
+       atomic_write_barrier ();
+@@ -697,7 +700,7 @@
+       _dl_scope_free (old_l_reldeps);
+     }
+   if (old_l_initfini != NULL)
+-      map->l_orig_initfini = old_l_initfini;
++    _dl_scope_free (old_l_initfini);
+ 
+   if (errno_reason)
+     _dl_signal_error (errno_reason == -1 ? 0 : errno_reason, objname,
+diff -Naur eglibc-2_15.orig/elf/dl-libc.c eglibc-2_15/elf/dl-libc.c
+--- eglibc-2_15.orig/elf/dl-libc.c	2012-02-16 09:31:47.478224779 +0000
++++ eglibc-2_15/elf/dl-libc.c	2012-02-16 09:32:43.619735410 +0000
+@@ -284,6 +284,10 @@
+ 	      if (! old->dont_free)
+ 		free (old);
+ 	    }
++
++	  /* Free the initfini dependency list.  */
++	  if (l->l_free_initfini)
++	    free (l->l_initfini);
+ 	}
+ 
+       if (__builtin_expect (GL(dl_ns)[ns]._ns_global_scope_alloc, 0) != 0
+diff -Naur eglibc-2_15.orig/elf/rtld.c eglibc-2_15/elf/rtld.c
+--- eglibc-2_15.orig/elf/rtld.c	2012-02-16 09:31:47.470224563 +0000
++++ eglibc-2_15/elf/rtld.c	2012-02-16 09:35:01.611448263 +0000
+@@ -2277,6 +2277,7 @@
+ 	      lnp->dont_free = 1;
+ 	      lnp = lnp->next;
+ 	    }
++          l->l_free_initfini = 0;
+ 
+ 	  if (l != &GL(dl_rtld_map))
+ 	    _dl_relocate_object (l, l->l_scope, GLRO(dl_lazy) ? RTLD_LAZY : 0,
+diff -Naur eglibc-2_15.orig/include/link.h eglibc-2_15/include/link.h
+--- eglibc-2_15.orig/include/link.h	2012-02-16 09:31:47.710231021 +0000
++++ eglibc-2_15/include/link.h	2012-02-16 09:42:04.610828212 +0000
+@@ -192,6 +192,9 @@
+ 						 during LD_TRACE_PRELINKING=1
+ 						 contains any DT_SYMBOLIC
+ 						 libraries.  */
++    unsigned int l_free_initfini:1; /* Nonzero if l_initfini can be
++				       freed, ie. not allocated with
++				       the dummy malloc in ld.so.  */
+ 
+     /* Collected information about own RPATH directories.  */
+     struct r_search_path_struct l_rpath_dirs;
+@@ -240,9 +243,6 @@
+ 
+     /* List of object in order of the init and fini calls.  */
+     struct link_map **l_initfini;
+-    /* The init and fini list generated at startup, saved when the
+-       object is also loaded dynamically.  */
+-    struct link_map **l_orig_initfini;
+ 
+     /* List of the dependencies introduced through symbol binding.  */
+     struct link_map_reldeps