Index: BOOK/final-system/common/xz.xml
===================================================================
--- BOOK/final-system/common/xz.xml	(revision f2f8eecdf9cdf8395203ad2010dd1b52209b6cb5)
+++ BOOK/final-system/common/xz.xml	(revision 058c1e7f507df9a7b02b5f16b315f906237775af)
@@ -30,5 +30,5 @@
     <para os="a">Prepare XZ-Utils for compilation:</para>
 
-<screen os="b"><userinput>./configure --prefix=/usr --libdir=/lib</userinput></screen>
+<screen os="b"><userinput>./configure --prefix=/usr</userinput></screen>
 
     <para os="c">Compile the package:</para>
@@ -42,5 +42,5 @@
     <para os="f">Install the programs:</para>
 
-<screen os="g"><userinput>make pkgconfigdir=/usr/lib/pkgconfig install</userinput></screen>
+<screen os="g"><userinput>make install</userinput></screen>
 
     <para os="h">Move the <filename>xz</filename> binary, and several symlinks
@@ -48,4 +48,10 @@
 
 <screen os="i"><userinput>mv -v /usr/bin/{xz,lzma,lzcat,unlzma,unxz,xzcat} /bin</userinput></screen>
+
+    <para os="j">Finally, move the shared library to a more appropriate
+    location, and recreate the symlink pointing to it:</para>
+
+<screen os="k"><userinput>mv -v /usr/lib/liblzma.so.* /lib
+ln -svf ../../lib/liblzma.so.&xz-version; /usr/lib/liblzma.so</userinput></screen>
 
   </sect2>
@@ -60,8 +66,11 @@
 
       <seglistitem>
-        <seg>lzcat (link to xz), lzcmp (link to lzdiff), lzdiff, lzegrep (link to lzgrep),
-        lzfgrep (link to lzgrep), lzgrep, lzless (link to lzmore), lzma (link to xz),
-        lzmadec, lzmore, unlzma (link to xz), unxz (link to xz), xz, xzcat
-        (link to xz), and xzdec</seg>
+        <seg>lzcat (link to xz), lzcmp (link to xzdiff), lzdiff (link to
+        xzdiff), lzegrep (link to xzgrep), lzfgrep (link to xzgrep), lzgrep
+        (link to xzgrep), lzless (link to xzless), lzma (link to xz), lzmadec,
+        lzmainfo, lzmore (link to xzmore), unlzma (link to xz), unxz (link to
+        xz), xz, xzcat (link to xz), xzcmp (link to xzdiff), xzdec, xzdiff,
+        xzegrep (link to xzgrep), xzfgrep (link to xzgrep), xzgrep, xzless,
+        and xzmore</seg>
         <seg>liblzma.[a,so]</seg>
         <seg>/usr/include/lzma, /usr/share/doc/xz</seg>
Index: BOOK/final-system/multilib/xz-64bit.xml
===================================================================
--- BOOK/final-system/multilib/xz-64bit.xml	(revision f2f8eecdf9cdf8395203ad2010dd1b52209b6cb5)
+++ BOOK/final-system/multilib/xz-64bit.xml	(revision 058c1e7f507df9a7b02b5f16b315f906237775af)
@@ -26,5 +26,5 @@
     xpointer="xpointer(//*[@os='a'])"/>
 
-<screen os="b"><userinput>CC="gcc ${BUILD64}" ./configure --prefix=/usr --libdir=/lib64</userinput></screen>
+<screen os="b"><userinput>CC="gcc ${BUILD64}" ./configure --prefix=/usr --libdir=/usr/lib64</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
@@ -44,5 +44,7 @@
     xpointer="xpointer(//*[@os='f'])"/>
 
-<screen os="g"><userinput>make pkgconfigdir=/usr/lib64/pkgconfig install</userinput></screen>
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="xz.xml"
+    xpointer="xpointer(//*[@os='g'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
@@ -58,5 +60,6 @@
     xpointer="xpointer(//*[@os='j'])"/>
 
-    <screen os="k"><userinput>mv -v /lib64/liblzma.a /usr/lib64</userinput></screen>
+<screen os="k"><userinput>mv -v /usr/lib64/liblzma.so.* /lib64
+ln -svf ../../lib64/liblzma.so.&xz-version; /usr/lib64/liblzma.so</userinput></screen>
 
   </sect2>
Index: BOOK/final-system/multilib/xz-n32.xml
===================================================================
--- BOOK/final-system/multilib/xz-n32.xml	(revision f2f8eecdf9cdf8395203ad2010dd1b52209b6cb5)
+++ BOOK/final-system/multilib/xz-n32.xml	(revision 058c1e7f507df9a7b02b5f16b315f906237775af)
@@ -27,5 +27,5 @@
     xpointer="xpointer(//*[@os='a'])"/>
 
-<screen os="b"><userinput>CC="gcc ${BUILDN32}" ./configure --prefix=/usr --libdir=/lib32</userinput></screen>
+<screen os="b"><userinput>CC="gcc ${BUILDN32}" ./configure --prefix=/usr --libdir=/usr/lib32</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
@@ -45,5 +45,5 @@
     xpointer="xpointer(//*[@os='f'])"/>
 
-<screen os="g"><userinput>make pkgconfigdir=/usr/lib32/pkgconfig install</userinput></screen>
+<screen os="g"><userinput>make install</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
@@ -51,5 +51,6 @@
     xpointer="xpointer(//*[@os='j'])"/>
 
-<screen os="k"><userinput>mv -v /lib32/liblzma.a /usr/lib32</userinput></screen>
+<screen os="k"><userinput>mv -v /usr/lib32/liblzma.so.* /lib32
+ln -svf ../../lib32/liblzma.so.&xz-version; /usr/lib32/liblzma.so</userinput></screen>
 
   </sect2>
Index: BOOK/final-system/multilib/xz.xml
===================================================================
--- BOOK/final-system/multilib/xz.xml	(revision f2f8eecdf9cdf8395203ad2010dd1b52209b6cb5)
+++ BOOK/final-system/multilib/xz.xml	(revision 058c1e7f507df9a7b02b5f16b315f906237775af)
@@ -27,5 +27,5 @@
     xpointer="xpointer(//*[@os='a'])"/>
 
-<screen os="b"><userinput>CC="gcc ${BUILD32}" ./configure --prefix=/usr --libdir=/lib</userinput></screen>
+<screen os="b"><userinput>CC="gcc ${BUILD32}" ./configure --prefix=/usr</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
@@ -49,7 +49,11 @@
     xpointer="xpointer(//*[@os='g'])"/>
 
-    <para os="j">Move the static libraries to the proper location:</para>
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/xz.xml"
+    xpointer="xpointer(//*[@os='j'])"/>
 
-    <screen os="k"><userinput>mv -v /lib/liblzma.a /usr/lib</userinput></screen>
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/xz.xml"
+    xpointer="xpointer(//*[@os='k'])"/>
 
   </sect2>
Index: BOOK/introduction/common/changelog.xml
===================================================================
--- BOOK/introduction/common/changelog.xml	(revision f2f8eecdf9cdf8395203ad2010dd1b52209b6cb5)
+++ BOOK/introduction/common/changelog.xml	(revision 058c1e7f507df9a7b02b5f16b315f906237775af)
@@ -38,4 +38,14 @@
 -->
     <listitem>
+      <para>06 December 2013</para>
+      <itemizedlist>
+        <listitem>
+          <para>[Chris] - Modified XZ instructions so that it won't install
+          liblzma.{a,la} in /lib.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>04 December 2013</para>
       <itemizedlist>