Index: BOOK/cross-tools/common/glibc.xml
===================================================================
--- BOOK/cross-tools/common/glibc.xml	(revision ddf299bfd62b41214229acbd8d1265253fec56e0)
+++ BOOK/cross-tools/common/glibc.xml	(revision 59fb197f5c955759dc03aa48b4797a54590fdb99)
@@ -347,5 +347,5 @@
       <seglistitem>
         <seg>catchsegv, gencat, getconf, getent, iconv, iconvconfig, ldconfig,
-        ldd, lddlibc4, locale, localedef, mtrace, nscd, nscd_nischeck,
+        ldd, lddlibc4, locale, localedef, mtrace, nscd,
         pcprofiledump, pt_chown, rpcgen, rpcinfo, sln, sprof, tzselect, xtrace,
         zdump, and zic</seg>
@@ -502,15 +502,4 @@
       </varlistentry>
 
-      <varlistentry id="nscd_nischeck">
-        <term><command>nscd_nischeck</command></term>
-        <listitem>
-          <para>Checks whether or not secure mode is necessary for NIS+
-          lookup</para>
-          <indexterm zone="ch-cross-tools-glibc nscd_nischeck">
-            <primary sortas="b-nscd_nischeck">nscd_nischeck</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
       <varlistentry id="pcprofiledump">
         <term><command>pcprofiledump</command></term>
Index: BOOK/final-system/common/automake.xml
===================================================================
--- BOOK/final-system/common/automake.xml	(revision ddf299bfd62b41214229acbd8d1265253fec56e0)
+++ BOOK/final-system/common/automake.xml	(revision 59fb197f5c955759dc03aa48b4797a54590fdb99)
@@ -47,6 +47,6 @@
 
       <seglistitem>
-        <seg>acinstall, aclocal, aclocal-&automake-version;, automake,
-        automake-&automake-version;, compile, config.guess, config.sub,
+        <seg>acinstall, aclocal, aclocal-1.9, automake,
+        automake-1.9, compile, config.guess, config.sub,
         depcomp, elisp-comp, install-sh, mdate-sh, missing, mkinstalldirs,
         py-compile, symlink-tree, and ylwrap</seg>
@@ -81,5 +81,5 @@
 
       <varlistentry id="aclocal-version">
-        <term><command>aclocal-&automake-version;</command></term>
+        <term><command>aclocal-1.9</command></term>
         <listitem>
           <para>A hard link to <command>aclocal</command></para>
@@ -109,5 +109,5 @@
 
       <varlistentry id="automake-version">
-        <term><command>automake-&automake-version;</command></term>
+        <term><command>automake-1.9</command></term>
         <listitem>
           <para>A hard link to <command>automake</command></para>
Index: BOOK/final-system/common/iproute2.xml
===================================================================
--- BOOK/final-system/common/iproute2.xml	(revision ddf299bfd62b41214229acbd8d1265253fec56e0)
+++ BOOK/final-system/common/iproute2.xml	(revision 59fb197f5c955759dc03aa48b4797a54590fdb99)
@@ -93,5 +93,5 @@
           <para>Connection status utility</para>
           <indexterm zone="ch-system-iproute2 ctstat">
-            <primary sortas="b-cstat">ctstat</primary>
+            <primary sortas="b-ctstat">ctstat</primary>
           </indexterm>
         </listitem>
@@ -165,5 +165,5 @@
           program</para>
           <indexterm zone="ch-system-iproute2 lnstat">
-            <primary sortas="b-cstat">lnstat</primary>
+            <primary sortas="b-lnstat">lnstat</primary>
           </indexterm>
         </listitem>
Index: BOOK/final-system/common/kbd.xml
===================================================================
--- BOOK/final-system/common/kbd.xml	(revision ddf299bfd62b41214229acbd8d1265253fec56e0)
+++ BOOK/final-system/common/kbd.xml	(revision 59fb197f5c955759dc03aa48b4797a54590fdb99)
@@ -63,10 +63,10 @@
 
       <seglistitem>
-        <seg>chvt, deallocvt, dumpkeys, fgconsole, getkeycodes, getunimap,
-        kbd_mode, kbdrate, loadkeys, loadunimap, mapscrn, openvt, psfaddtable
+        <seg>chvt, deallocvt, dumpkeys, fgconsole, getkeycodes, kbd_mode,
+        kbdrate, loadkeys, loadunimap, mapscrn, openvt, psfaddtable
         (link to psfxtable), psfgettable (link to psfxtable), psfstriptable
         (link to psfxtable), psfxtable, resizecons, setfont, setkeycodes,
-        setleds, setlogcons, setmetamode, setvesablank, showconsolefont,
-        showkey, unicode_start, and unicode_stop</seg>
+        setleds, setmetamode, showconsolefont, showkey, unicode_start, and
+        unicode_stop</seg>
       </seglistitem>
     </segmentedlist>
@@ -123,14 +123,4 @@
           <indexterm zone="ch-system-kbd getkeycodes">
             <primary sortas="b-getkeycodes">getkeycodes</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="getunimap">
-        <term><command>getunimap</command></term>
-        <listitem>
-          <para>Prints the currently used unicode-to-font mapping table</para>
-          <indexterm zone="ch-system-kbd getunimap">
-            <primary sortas="b-getunimap">getunimap</primary>
           </indexterm>
         </listitem>
@@ -281,14 +271,4 @@
       </varlistentry>
 
-      <varlistentry id="setlogcons">
-        <term><command>setlogcons</command></term>
-        <listitem>
-          <para>Sends kernel messages to the console</para>
-          <indexterm zone="ch-system-kbd setlogcons">
-            <primary sortas="b-setlogcons">setlogcons</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
       <varlistentry id="setmetamode">
         <term><command>setmetamode</command></term>
@@ -297,15 +277,4 @@
           <indexterm zone="ch-system-kbd setmetamode">
             <primary sortas="b-setmetamode">setmetamode</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="setvesablank">
-        <term><command>setvesablank</command></term>
-        <listitem>
-          <para>Lets the user adjust the built-in hardware screensaver (a blank
-          screen)</para>
-          <indexterm zone="ch-system-kbd setvesablank">
-            <primary sortas="b-setvesablank">setvesablank</primary>
           </indexterm>
         </listitem>
Index: BOOK/final-system/common/module-init-tools.xml
===================================================================
--- BOOK/final-system/common/module-init-tools.xml	(revision ddf299bfd62b41214229acbd8d1265253fec56e0)
+++ BOOK/final-system/common/module-init-tools.xml	(revision 59fb197f5c955759dc03aa48b4797a54590fdb99)
@@ -60,6 +60,7 @@
 
       <seglistitem>
-        <seg>depmod, insmod, insmod.static, lsmod (link to insmod),
-        modinfo, modprobe (link to insmod), and rmmod (link to insmod)</seg>
+        <seg>depmod, generate-modprobe.conf, insmod, insmod.static,
+        lsmod (link to insmod), modinfo, modprobe (link to insmod), and
+        rmmod (link to insmod)</seg>
       </seglistitem>
     </segmentedlist>
@@ -79,4 +80,15 @@
           <indexterm zone="ch-system-module-init-tools depmod">
             <primary sortas="b-depmod">depmod</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="generate-modprobe.conf">
+        <term><command>generate-modprobe.conf</command></term>
+        <listitem>
+          <para>Creates a modprobe.conf file from an existing 2.2 or 2.4
+          module setup</para>
+          <indexterm zone="ch-system-module-init-tools generate-modprobe.conf">
+            <primary sortas="b-generate-modprobe.conf">generate-modprobe.conf</primary>
           </indexterm>
         </listitem>
Index: BOOK/final-system/common/perl.xml
===================================================================
--- BOOK/final-system/common/perl.xml	(revision ddf299bfd62b41214229acbd8d1265253fec56e0)
+++ BOOK/final-system/common/perl.xml	(revision 59fb197f5c955759dc03aa48b4797a54590fdb99)
@@ -86,5 +86,5 @@
 
       <seglistitem>
-        <seg>a2p, c2ph, dprofpp, enc2xs, find2perl, h2ph, h2xs, libnetcfg,
+        <seg>a2p, c2ph, dprofpp, find2perl, h2ph, h2xs, libnetcfg,
         perl, perl&perl-version; (link to perl), perlbug, perlcc, perldoc,
         perlivp, piconv, pl2pm, pod2html, pod2latex, pod2man, pod2text,
@@ -131,15 +131,4 @@
       </varlistentry>
 
-      <varlistentry id="en2cxs">
-        <term><command>en2cxs</command></term>
-        <listitem>
-          <para>Builds a Perl extension for the Encode module from either
-          Unicode Character Mappings or Tcl Encoding Files</para>
-          <indexterm zone="ch-system-perl en2cxs">
-            <primary sortas="b-en2cxs">en2cxs</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
       <varlistentry id="find2perl">
         <term><command>find2perl</command></term>
@@ -191,5 +180,5 @@
           <para>Combines some of the best features of C, <command>sed</command>,
           <command>awk</command> and <command>sh</command> into a single
-          swiss-army language</para>
+          swiss-army-knife language</para>
           <indexterm zone="ch-system-perl perl">
             <primary sortas="b-perl">perl</primary>
Index: BOOK/final-system/common/psmisc.xml
===================================================================
--- BOOK/final-system/common/psmisc.xml	(revision ddf299bfd62b41214229acbd8d1265253fec56e0)
+++ BOOK/final-system/common/psmisc.xml	(revision 59fb197f5c955759dc03aa48b4797a54590fdb99)
@@ -108,4 +108,15 @@
       </varlistentry>
 
+      <varlistentry id="oldfuser">
+        <term><command>oldfuser</command></term>
+        <listitem>
+          <para>Reports the Process IDs (PIDs) of processes that use the given
+          files or file systems</para>
+          <indexterm zone="ch-system-psmisc oldfuser">
+            <primary sortas="b-oldfuser">oldfuser</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="pstree">
         <term><command>pstree</command></term>
Index: BOOK/final-system/common/shadow.xml
===================================================================
--- BOOK/final-system/common/shadow.xml	(revision ddf299bfd62b41214229acbd8d1265253fec56e0)
+++ BOOK/final-system/common/shadow.xml	(revision 59fb197f5c955759dc03aa48b4797a54590fdb99)
@@ -171,10 +171,4 @@
 <screen role="nodump"><userinput>grpconv</userinput></screen>
 
-    <para>Under normal circumstances, passwords will not have been created
-    yet. However, if returning to this section later to enable shadowing,
-    reset any current user passwords with the <command>passwd</command>
-    command or any group passwords with the <command>gpasswd</command>
-    command.</para>
-
   </sect2>
 
@@ -197,7 +191,7 @@
 
       <seglistitem>
-        <seg>chage, chfn, chpasswd, chsh, expiry, faillog, gpasswd, groupadd,
-        groupdel, groupmod, grpck, grpconv, grpunconv, lastlog, login,
-        logoutd, newgrp, newusers, passwd, pwck, pwconv, pwunconv,
+        <seg>chage, chfn, chpasswd, chgpasswd, chsh, expiry, faillog, gpasswd,
+        groupadd, groupdel, groupmod, grpck, grpconv, grpunconv, lastlog,
+        login, logoutd, newgrp, newusers, passwd, pwck, pwconv, pwunconv,
         sg (link to newgrp), useradd, userdel, usermod, vigr (link to vipw),
         and vipw</seg>
@@ -232,4 +226,14 @@
       </varlistentry>
 
+      <varlistentry id="chgpasswd">
+        <term><command>chgpasswd</command></term>
+        <listitem>
+          <para>Used to update group passwords in batch mode</para>
+          <indexterm zone="ch-system-shadow chgpasswd">
+            <primary sortas="b-chgpasswd">chgpasswd</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="chpasswd">
         <term><command>chpasswd</command></term>
Index: BOOK/final-system/common/sysvinit.xml
===================================================================
--- BOOK/final-system/common/sysvinit.xml	(revision ddf299bfd62b41214229acbd8d1265253fec56e0)
+++ BOOK/final-system/common/sysvinit.xml	(revision 59fb197f5c955759dc03aa48b4797a54590fdb99)
@@ -122,5 +122,5 @@
 
       <seglistitem>
-        <seg>halt, init, killall5, last, lastb (link to last), mesg, pidof
+        <seg>halt, init, killall5, last, lastb (link to last), mesg, mountpoint, pidof
         (link to killall5), poweroff (link to halt), reboot (link to halt),
         runlevel, shutdown, sulogin, telinit (link to init), utmpdump,
@@ -206,4 +206,14 @@
       </varlistentry>
 
+      <varlistentry id="mountpoint">
+        <term><command>mountpoint</command></term>
+        <listitem>
+          <para>Tells you whether or not a directory is a mount point.</para>
+          <indexterm zone="ch-system-sysvinit mountpoint">
+            <primary sortas="b-mountpoint">mountpoint</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="pidof">
         <term><command>pidof</command></term>
Index: BOOK/final-system/common/udev.xml
===================================================================
--- BOOK/final-system/common/udev.xml	(revision ddf299bfd62b41214229acbd8d1265253fec56e0)
+++ BOOK/final-system/common/udev.xml	(revision 59fb197f5c955759dc03aa48b4797a54590fdb99)
@@ -139,4 +139,15 @@
       </varlistentry>
 
+      <varlistentry id="udevsettle">
+        <term><command>udevsettle</command></term>
+        <listitem>
+          <para>Watches the Udev event queue and exits if all current uevents
+          have been handled</para>
+          <indexterm zone="ch-system-udev udevsettle">
+            <primary sortas="b-udevsettle">udevsettle</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="udevtest">
         <term><command>udevtest</command></term>
@@ -163,4 +174,15 @@
       </varlistentry>
 
+      <varlistentry id="ata_id">
+        <term><command>ata_id</command></term>
+        <listitem>
+          <para>Provides Udev with a unique string and additional
+          information (uuid, label) for an ATA drive</para>
+          <indexterm zone="ch-system-udev ata_id">
+            <primary sortas="b-ata_id">ata_id</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="cdrom_id">
         <term><command>cdrom_id</command></term>
@@ -173,10 +195,31 @@
       </varlistentry>
 
-      <varlistentry id="firmware_helper">
+      <varlistentry id="create_floppy_devices">
+        <term><command>create_floppy_devices</command></term>
+        <listitem>
+          <para>Creates all possible floppy devices based on the CMOS type</para>
+          <indexterm zone="ch-system-udev create_floppy_devices">
+            <primary sortas="b-create_floppy_devices">create_floppy_devices</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="firmware.sh">
         <term><command>firmware.sh</command></term>
         <listitem>
 	  <para>To be written</para>  
-          <indexterm zone="ch-system-udev firmware_helper">
-            <primary sortas="b-firmware_helper">firmware.sh</primary>
+          <indexterm zone="ch-system-udev firmware.sh">
+            <primary sortas="b-firmware.sh">firmware.sh</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="path_id">
+        <term><command>path_id</command></term>
+        <listitem>
+          <para>Provide the shortest possible unique hardware path to a
+          device</para>
+          <indexterm zone="ch-system-udev path_id">
+            <primary sortas="b-path_id">path_id</primary>
           </indexterm>
         </listitem>
@@ -193,20 +236,10 @@
       </varlistentry>
 
-      <varlistentry id="volume_id">
-        <term><command>volume_id</command></term>
-        <listitem>
-	  <para>To be written</para>  
-          <indexterm zone="ch-system-udev volume_id">
-            <primary sortas="b-volume_id">volume_id</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="ata_id">
-        <term><command>ata_id</command></term>
-        <listitem>
-	  <para>To be written</para>  
-          <indexterm zone="ch-system-udev ata_id">
-            <primary sortas="b-volume_id">ata_id</primary>
+      <varlistentry id="vol_id">
+        <term><command>vol_id</command></term>
+        <listitem>
+	  <para>To be written</para>  
+          <indexterm zone="ch-system-udev vol_id">
+            <primary sortas="b-vol_id">vol_id</primary>
           </indexterm>
         </listitem>
Index: BOOK/final-system/common/util-linux.xml
===================================================================
--- BOOK/final-system/common/util-linux.xml	(revision ddf299bfd62b41214229acbd8d1265253fec56e0)
+++ BOOK/final-system/common/util-linux.xml	(revision 59fb197f5c955759dc03aa48b4797a54590fdb99)
@@ -52,4 +52,9 @@
 
 <screen os="p4"><userinput>patch -Np1 -i ../&util-linux-gcc4_fixes-patch;</userinput></screen>
+
+   <para os="p5">The following patch fixes swapon.c, it tries to find the
+   variable R_OK, but the header that has R_OK is not included:</para>
+
+<screen os="p6"><userinput>patch -Np1 -i ../&util-linux-missing_header-patch;</userinput></screen>
 
     <para os="s1">The following sed prevents the installed files from being
@@ -135,5 +140,5 @@
         ramsize (link to rdev), raw, rdev, readprofile, rename, renice, rev,
         rootflags (link to rdev), script, setfdprm, setsid, setterm, sfdisk,
-        swapdev, swapoff (link to swapon), swapon, tunelp, ul, umount, vidmode
+        swapoff (link to swapon), swapon, tunelp, ul, umount, vidmode
         (link to rdev), whereis, and write</seg>
       </seglistitem>
@@ -695,14 +700,4 @@
       </varlistentry>
 
-      <varlistentry id="swapdev">
-        <term><command>swapdev</command></term>
-        <listitem>
-          <para>Sets the swap device in a bootable image</para>
-          <indexterm zone="ch-system-util-linux swapdev">
-            <primary sortas="b-swapdev">swapdev</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
       <varlistentry id="swapoff">
         <term><command>swapoff</command></term>
Index: BOOK/introduction/common/changelog.xml
===================================================================
--- BOOK/introduction/common/changelog.xml	(revision ddf299bfd62b41214229acbd8d1265253fec56e0)
+++ BOOK/introduction/common/changelog.xml	(revision 59fb197f5c955759dc03aa48b4797a54590fdb99)
@@ -41,4 +41,17 @@
       <itemizedlist>
         <listitem>
+          <para>[jciccone] - Added a patch to fix a missing declaration of R_OK
+                             in util-linux.</para>
+        </listitem>
+        <listitem>
+          <para>[jciccone] - Updated to e2fsprogs-1.39, man-pages-2.33, and linux-headers-2.6.16.19-06042006.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
+      <para>May 29, 2006</para>
+      <itemizedlist>
+        <listitem>
           <para>[jciccone] - Updated to linux-headers-05292006, udev-093, and binutils-2.16.93.</para>
         </listitem>
Index: BOOK/materials/common/patches.xml
===================================================================
--- BOOK/materials/common/patches.xml	(revision ddf299bfd62b41214229acbd8d1265253fec56e0)
+++ BOOK/materials/common/patches.xml	(revision 59fb197f5c955759dc03aa48b4797a54590fdb99)
@@ -261,4 +261,12 @@
 
     <varlistentry>
+      <term>Util-linux Missing Header Patch - <token>&util-linux-missing_header-patch-size;</token>:</term> <listitem>
+        <para>Download: <ulink
+        url="&patches-root;util-linux/&util-linux-missing_header-patch;"/></para>
+        <para>MD5 sum: <literal>&util-linux-missing_header-patch-md5;</literal></para>
+      </listitem>
+    </varlistentry>
+
+    <varlistentry>
       <term>Vim Fixes Patch - <token>&vim-fixes-patch-size;</token>:</term>
       <listitem>
Index: BOOK/packages.ent
===================================================================
--- BOOK/packages.ent	(revision ddf299bfd62b41214229acbd8d1265253fec56e0)
+++ BOOK/packages.ent	(revision 59fb197f5c955759dc03aa48b4797a54590fdb99)
@@ -103,8 +103,8 @@
 <!ENTITY dvhtool-home "http://packages.qa.debian.org/d/dvhtool.html">
 
-<!ENTITY e2fsprogs-version "1.38">
-<!ENTITY e2fsprogs-size "3,537 KB">
+<!ENTITY e2fsprogs-version "1.39">
+<!ENTITY e2fsprogs-size "3,612 KB">
 <!ENTITY e2fsprogs-url "&sourceforge;e2fsprogs/e2fsprogs-&e2fsprogs-version;.tar.gz?download">
-<!ENTITY e2fsprogs-md5 "d774d4412bfb80d12cf3a4fdfd59de5a">
+<!ENTITY e2fsprogs-md5 "06f7806782e357797fad1d34b7ced0c6">
 <!ENTITY e2fsprogs-home "http://e2fsprogs.sourceforge.net/">
 
@@ -245,14 +245,14 @@
 <!ENTITY linux-dl-version "2.6">
 
-<!ENTITY linux-version "2.6.16.18">
-<!ENTITY linux-size "39,884 KB">
+<!ENTITY linux-version "2.6.16.19">
+<!ENTITY linux-size "39,880 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-dl-version;/linux-&linux-version;.tar.bz2">
-<!ENTITY linux-md5 "5cb158630f9615983ab32cea9ace3025">
+<!ENTITY linux-md5 "b1e3c65992b0049fdbee825eb2a856af">
 <!ENTITY linux-home "http://www.kernel.org/">
 
-<!ENTITY linux-headers-version "&linux-version;-05292006">
-<!ENTITY linux-headers-size "1,468 KB">
+<!ENTITY linux-headers-version "&linux-version;-06042006">
+<!ENTITY linux-headers-size "1,480 KB">
 <!ENTITY linux-headers-url "http://ftp.jg555.com/headers/linux-headers-&linux-headers-version;.tar.bz2">
-<!ENTITY linux-headers-md5 "793c3f935c3845ad81825ced9f9fe142">
+<!ENTITY linux-headers-md5 "62df9fe3c27aae0f1305a6fd72e4b3a2">
 <!ENTITY linux-headers-home "http://headers.cross-lfs.org/">
 
@@ -275,8 +275,8 @@
 <!ENTITY man-home "http://primates.ximian.com/~flucifredi/man/">
 
-<!ENTITY man-pages-version "2.32">
+<!ENTITY man-pages-version "2.33">
 <!ENTITY man-pages-size "1,752 KB">
 <!ENTITY man-pages-url "&kernel;linux/docs/manpages/man-pages-&man-pages-version;.tar.bz2">
-<!ENTITY man-pages-md5 "8e90f8312bdd35ec3e789bf67c9b0ee3">
+<!ENTITY man-pages-md5 "e9f61ec73b5390c582530da173c12b10">
 <!ENTITY man-pages-home " ">
 
@@ -401,5 +401,5 @@
 <!ENTITY udev-home "http://www.kernel.org/pub/linux/utils/kernel/hotplug/udev.html">
 
-<!ENTITY udev-cross-lfs-version "0.1-05142006">
+<!ENTITY udev-cross-lfs-version "0.1-05292006">
 <!ENTITY udev-cross-lfs-size "9 KB">
 <!ENTITY udev-cross-lfs-url "http://ftp.jg555.com/udev/udev-cross-lfs-&udev-cross-lfs-version;.tar.bz2">
Index: BOOK/patches.ent
===================================================================
--- BOOK/patches.ent	(revision ddf299bfd62b41214229acbd8d1265253fec56e0)
+++ BOOK/patches.ent	(revision 59fb197f5c955759dc03aa48b4797a54590fdb99)
@@ -113,4 +113,9 @@
 <!ENTITY util-linux-gcc4_fixes-patch-size "1 KB">
 
+ 
+<!ENTITY util-linux-missing_header-patch "util-linux-&util-linux-version;-missing_header-1.patch">
+<!ENTITY util-linux-missing_header-patch-md5 "33ccc15d2e92caa6189b044f573fdcda">
+<!ENTITY util-linux-missing_header-patch-size "1 KB">
+
 <!ENTITY vim-fixes-patch "vim-&vim-version;-fixes-3.patch">
 <!ENTITY vim-fixes-patch-md5 "ed158ebfb653b797b642fbff175addea">