Index: BOOK/bootable/x86/kernel.xml
===================================================================
--- BOOK/bootable/x86/kernel.xml	(revision 6d7d31414b615b629280b2a696ea73213d2a07e2)
+++ BOOK/bootable/x86/kernel.xml	(revision 61ad0b7f48f96d7ead631f94565795d14fab768d)
@@ -152,8 +152,10 @@
     <segmentedlist>
       <segtitle>Installed files</segtitle>
+      <segtitle>Installed directory</segtitle>
 
       <seglistitem>
         <seg>config-[linux-version], clfskernel-[linux-version],
         and System.map-[linux-version]</seg>
+        <seg>/lib/modules</seg>
       </seglistitem>
     </segmentedlist>
Index: BOOK/final-system/common/autoconf.xml
===================================================================
--- BOOK/final-system/common/autoconf.xml	(revision 6d7d31414b615b629280b2a696ea73213d2a07e2)
+++ BOOK/final-system/common/autoconf.xml	(revision 61ad0b7f48f96d7ead631f94565795d14fab768d)
@@ -50,8 +50,10 @@
     <segmentedlist>
       <segtitle>Installed programs</segtitle>
+      <segtitle>Installed directory</segtitle>
 
       <seglistitem>
         <seg>autoconf, autoheader, autom4te, autoreconf, autoscan, autoupdate,
         and ifnames</seg>
+        <seg>/usr/share/autoconf</seg>
       </seglistitem>
     </segmentedlist>
Index: BOOK/final-system/common/automake.xml
===================================================================
--- BOOK/final-system/common/automake.xml	(revision 6d7d31414b615b629280b2a696ea73213d2a07e2)
+++ BOOK/final-system/common/automake.xml	(revision 61ad0b7f48f96d7ead631f94565795d14fab768d)
@@ -48,4 +48,5 @@
     <segmentedlist>
       <segtitle>Installed programs</segtitle>
+      <segtitle>Installed directories</segtitle>
 
       <seglistitem>
@@ -54,4 +55,6 @@
         depcomp, elisp-comp, install-sh, mdate-sh, missing, mkinstalldirs,
         py-compile, symlink-tree, and ylwrap</seg>
+        <seg>/usr/share/aclocal-&automake-version2;,
+        /usr/share/automake-&automake-version2;, /usr/share/doc/automake</seg>
       </seglistitem>
     </segmentedlist>
Index: BOOK/final-system/common/bash.xml
===================================================================
--- BOOK/final-system/common/bash.xml	(revision 6d7d31414b615b629280b2a696ea73213d2a07e2)
+++ BOOK/final-system/common/bash.xml	(revision 61ad0b7f48f96d7ead631f94565795d14fab768d)
@@ -78,7 +78,9 @@
     <segmentedlist>
       <segtitle>Installed programs</segtitle>
+      <segtitle>Installed directory</segtitle>
 
       <seglistitem>
         <seg>bash, bashbug, and sh (link to bash)</seg>
+        <seg>/usr/share/doc/bash-&bash-version;</seg>
       </seglistitem>
     </segmentedlist>
Index: BOOK/final-system/common/binutils.xml
===================================================================
--- BOOK/final-system/common/binutils.xml	(revision 6d7d31414b615b629280b2a696ea73213d2a07e2)
+++ BOOK/final-system/common/binutils.xml	(revision 61ad0b7f48f96d7ead631f94565795d14fab768d)
@@ -120,4 +120,5 @@
       <segtitle>Installed programs</segtitle>
       <segtitle>Installed libraries</segtitle>
+      <segtitle>Installed directory</segtitle>
 
       <seglistitem>
@@ -125,4 +126,5 @@
         ranlib, readelf, size, strings, and strip</seg>
         <seg>libiberty.a, libbfd.[a,so], and libopcodes.[a,so]</seg>
+        <seg>/usr/lib/ldscripts</seg>
       </seglistitem>
     </segmentedlist>
Index: BOOK/final-system/common/bison.xml
===================================================================
--- BOOK/final-system/common/bison.xml	(revision 6d7d31414b615b629280b2a696ea73213d2a07e2)
+++ BOOK/final-system/common/bison.xml	(revision 61ad0b7f48f96d7ead631f94565795d14fab768d)
@@ -55,8 +55,10 @@
       <segtitle>Installed programs</segtitle>
       <segtitle>Installed library</segtitle>
+      <segtitle>Installed directory</segtitle>
 
       <seglistitem>
         <seg>bison and yacc</seg>
         <seg>liby.a</seg>
+        <seg>/usr/share/bison</seg>
       </seglistitem>
     </segmentedlist>
Index: BOOK/final-system/common/cloog-ppl.xml
===================================================================
--- BOOK/final-system/common/cloog-ppl.xml	(revision 6d7d31414b615b629280b2a696ea73213d2a07e2)
+++ BOOK/final-system/common/cloog-ppl.xml	(revision 61ad0b7f48f96d7ead631f94565795d14fab768d)
@@ -59,8 +59,10 @@
       <segtitle>Installed programs</segtitle>
       <segtitle>Installed libraries</segtitle>
+      <segtitle>Installed directory</segtitle>
 
       <seglistitem>
         <seg>cloog</seg>
         <seg>libcloog.[a,so]</seg>
+        <seg>/usr/include/cloog</seg>
       </seglistitem>
     </segmentedlist>
Index: BOOK/final-system/common/coreutils.xml
===================================================================
--- BOOK/final-system/common/coreutils.xml	(revision 6d7d31414b615b629280b2a696ea73213d2a07e2)
+++ BOOK/final-system/common/coreutils.xml	(revision 61ad0b7f48f96d7ead631f94565795d14fab768d)
@@ -105,4 +105,5 @@
     <segmentedlist>
       <segtitle>Installed programs</segtitle>
+      <segtitle>Installed directory</segtitle>
 
       <seglistitem>
@@ -117,4 +118,5 @@
         timeout, touch, tr, true, truncate, tsort, tty, uname, unexpand, uniq,
         unlink, users, vdir, wc, who, whoami, and yes</seg>
+        <seg>/usr/lib/coreutils</seg>
       </seglistitem>
     </segmentedlist>
Index: BOOK/final-system/common/e2fsprogs.xml
===================================================================
--- BOOK/final-system/common/e2fsprogs.xml	(revision 6d7d31414b615b629280b2a696ea73213d2a07e2)
+++ BOOK/final-system/common/e2fsprogs.xml	(revision 61ad0b7f48f96d7ead631f94565795d14fab768d)
@@ -93,4 +93,5 @@
       <segtitle>Installed programs</segtitle>
       <segtitle>Installed libraries</segtitle>
+      <segtitle>Installed directories</segtitle>
 
       <seglistitem>
@@ -102,4 +103,6 @@
         <seg>libcom_err.[a,so], libe2p.[a,so], libext2fs.[a,so], and
         libss.[a,so]</seg>
+        <seg>/usr/include/e2p, /usr/include/et, /usr/include/ext2fs,
+        /usr/include/ss, /usr/share/et, /usr/share/ss</seg>
       </seglistitem>
     </segmentedlist>
Index: BOOK/final-system/common/eglibc.xml
===================================================================
--- BOOK/final-system/common/eglibc.xml	(revision 6d7d31414b615b629280b2a696ea73213d2a07e2)
+++ BOOK/final-system/common/eglibc.xml	(revision 61ad0b7f48f96d7ead631f94565795d14fab768d)
@@ -308,4 +308,5 @@
       <segtitle>Installed programs</segtitle>
       <segtitle>Installed libraries</segtitle>
+      <segtitle>Installed directories</segtitle>
 
       <seglistitem>
@@ -322,4 +323,12 @@
         libresolv.[a,so], librpcsvc.a, librt.[a,so], libthread_db.so, and
         libutil.[a,so]</seg>
+        <seg>/usr/include/arpa, /usr/include/bits, /usr/include/gnu,
+        /usr/include/net, /usr/include/netash, /usr/include/netatalk,
+        /usr/include/netax25, /usr/include/neteconet, /usr/include/netinet,
+        /usr/include/netipx, /usr/include/netiucv, /usr/include/netpacket,
+        /usr/include/netrom, /usr/include/netrose, /usr/include/nfs,
+        /usr/include/protocols, /usr/include/rpc, /usr/include/rpcsvc,
+        /usr/include/sys, /usr/lib/gconv, /usr/lib/eglibc, /usr/lib/locale,
+        /usr/share/i18n, /usr/share/zoneinfo, /var/cache/ldconfig</seg>
       </seglistitem>
     </segmentedlist>
Index: BOOK/final-system/common/findutils.xml
===================================================================
--- BOOK/final-system/common/findutils.xml	(revision 6d7d31414b615b629280b2a696ea73213d2a07e2)
+++ BOOK/final-system/common/findutils.xml	(revision 61ad0b7f48f96d7ead631f94565795d14fab768d)
@@ -78,7 +78,9 @@
     <segmentedlist>
       <segtitle>Installed programs</segtitle>
+      <segtitle>Installed directory</segtitle>
 
       <seglistitem>
         <seg>bigram, code, find, frcode, locate, oldfind, updatedb, and xargs</seg>
+        <seg>/usr/lib/locate</seg>
       </seglistitem>
     </segmentedlist>
Index: BOOK/final-system/common/gawk.xml
===================================================================
--- BOOK/final-system/common/gawk.xml	(revision 6d7d31414b615b629280b2a696ea73213d2a07e2)
+++ BOOK/final-system/common/gawk.xml	(revision 61ad0b7f48f96d7ead631f94565795d14fab768d)
@@ -49,8 +49,10 @@
     <segmentedlist>
       <segtitle>Installed programs</segtitle>
+      <segtitle>Installed directories</segtitle>
 
       <seglistitem>
         <seg>awk (link to gawk), gawk, gawk-&gawk-version;, grcat, igawk,
         pgawk, pgawk-&gawk-version;, and pwcat</seg>
+        <seg>/usr/lib/awk, /usr/share/awk</seg>
       </seglistitem>
     </segmentedlist>
Index: BOOK/final-system/common/gcc.xml
===================================================================
--- BOOK/final-system/common/gcc.xml	(revision 6d7d31414b615b629280b2a696ea73213d2a07e2)
+++ BOOK/final-system/common/gcc.xml	(revision 61ad0b7f48f96d7ead631f94565795d14fab768d)
@@ -104,4 +104,5 @@
       <segtitle>Installed programs</segtitle>
       <segtitle>Installed libraries</segtitle>
+      <segtitle>Installed directories</segtitle>
 
       <seglistitem>
@@ -110,4 +111,5 @@
         libmudflap.[a,so], libmudflapth.[a,so], libssp.[a,so],
         libssp_nonshared.a, libstdc++.[a,so], and libsupc++.a</seg>
+        <seg>/usr/include/c++, /usr/lib/gcc</seg>
       </seglistitem>
     </segmentedlist>
Index: BOOK/final-system/common/gettext.xml
===================================================================
--- BOOK/final-system/common/gettext.xml	(revision 6d7d31414b615b629280b2a696ea73213d2a07e2)
+++ BOOK/final-system/common/gettext.xml	(revision 61ad0b7f48f96d7ead631f94565795d14fab768d)
@@ -50,4 +50,5 @@
       <segtitle>Installed programs</segtitle>
       <segtitle>Installed libraries</segtitle>
+      <segtitle>Installed directories</segtitle>
 
       <seglistitem>
@@ -58,4 +59,5 @@
         <seg>libasprintf.[a,so], libgettextlib.so, libgettextpo.[a,so],
         libgettextsrc.so, and preloadable_libintl.so</seg>
+        <seg>/usr/lib/gettext, /usr/share/doc/gettext, /usr/share/gettext</seg>
       </seglistitem>
     </segmentedlist>
Index: BOOK/final-system/common/groff.xml
===================================================================
--- BOOK/final-system/common/groff.xml	(revision 6d7d31414b615b629280b2a696ea73213d2a07e2)
+++ BOOK/final-system/common/groff.xml	(revision 61ad0b7f48f96d7ead631f94565795d14fab768d)
@@ -59,4 +59,5 @@
     <segmentedlist>
       <segtitle>Installed programs</segtitle>
+      <segtitle>Installed directories</segtitle>
 
       <seglistitem>
@@ -68,4 +69,5 @@
         roff2pdf, roff2ps, roff2text, roff2x, soelim, tbl, tfmtodit, troff,
         and zsoelim (link to soelim)</seg>
+        <seg>/usr/lib/groff, /usr/share/doc/groff, /usr/share/groff</seg>
       </seglistitem>
     </segmentedlist>
Index: BOOK/final-system/common/iproute2.xml
===================================================================
--- BOOK/final-system/common/iproute2.xml	(revision 6d7d31414b615b629280b2a696ea73213d2a07e2)
+++ BOOK/final-system/common/iproute2.xml	(revision 61ad0b7f48f96d7ead631f94565795d14fab768d)
@@ -80,4 +80,5 @@
     <segmentedlist>
       <segtitle>Installed programs</segtitle>
+      <segtitle>Installed directories</segtitle>
 
       <seglistitem>
@@ -85,4 +86,5 @@
         routef, routel, rtacct, rtmon, rtpr, rtstat (link to lnstat), ss,
         and tc</seg>
+        <seg>/etc/iproute2, /lib/tc, /usr/lib/tc, /usr/share/doc/iproute2</seg>
       </seglistitem>
     </segmentedlist>
Index: BOOK/final-system/common/kbd.xml
===================================================================
--- BOOK/final-system/common/kbd.xml	(revision 6d7d31414b615b629280b2a696ea73213d2a07e2)
+++ BOOK/final-system/common/kbd.xml	(revision 61ad0b7f48f96d7ead631f94565795d14fab768d)
@@ -54,4 +54,5 @@
     <segmentedlist>
       <segtitle>Installed programs</segtitle>
+      <segtitle>Installed directories</segtitle>
 
       <seglistitem>
@@ -62,4 +63,6 @@
         setleds, setmetamode, showconsolefont, showkey, unicode_start, and
         unicode_stop</seg>
+        <seg>/usr/share/consolefonts, /usr/share/consoletrans,
+        /usr/share/keymaps, /usr/share/unimaps</seg>
       </seglistitem>
     </segmentedlist>
Index: BOOK/final-system/common/libtool.xml
===================================================================
--- BOOK/final-system/common/libtool.xml	(revision 6d7d31414b615b629280b2a696ea73213d2a07e2)
+++ BOOK/final-system/common/libtool.xml	(revision 61ad0b7f48f96d7ead631f94565795d14fab768d)
@@ -50,8 +50,10 @@
       <segtitle>Installed programs</segtitle>
       <segtitle>Installed libraries</segtitle>
+      <segtitle>Installed directories</segtitle>
 
       <seglistitem>
         <seg>libtool and libtoolize</seg>
         <seg>libltdl.[a,so]</seg>
+        <seg>/usr/include/libltdl, /usr/share/libtool</seg>
       </seglistitem>
     </segmentedlist>
Index: BOOK/final-system/common/linux-headers.xml
===================================================================
--- BOOK/final-system/common/linux-headers.xml	(revision 6d7d31414b615b629280b2a696ea73213d2a07e2)
+++ BOOK/final-system/common/linux-headers.xml	(revision 61ad0b7f48f96d7ead631f94565795d14fab768d)
@@ -74,7 +74,11 @@
     <segmentedlist>
       <segtitle>Installed headers</segtitle>
+      <segtitle>Installed directories</segtitle>
 
       <seglistitem>
         <seg>/usr/include/{asm,asm-generic,drm,linux,mtd,rdma,sound,video}/*.h</seg>
+        <seg>/usr/include/asm, /usr/include/asm-generic, /usr/include/drm,
+        /usr/include/linux, /usr/include/mtd, /usr/include/rdma,
+        /usr/include/scsi, /usr/include/sound, /usr/include/video, /usr/include/xen</seg>
       </seglistitem>
     </segmentedlist>
Index: BOOK/final-system/common/mpfr.xml
===================================================================
--- BOOK/final-system/common/mpfr.xml	(revision 6d7d31414b615b629280b2a696ea73213d2a07e2)
+++ BOOK/final-system/common/mpfr.xml	(revision 61ad0b7f48f96d7ead631f94565795d14fab768d)
@@ -61,7 +61,9 @@
     <segmentedlist>
       <segtitle>Installed libraries</segtitle>
+      <segtitle>Installed directory</segtitle>
 
       <seglistitem>
         <seg>libmpfr.[a,so]</seg>
+        <seg>/usr/share/doc/mpfr</seg>
       </seglistitem>
     </segmentedlist>
Index: BOOK/final-system/common/ncurses.xml
===================================================================
--- BOOK/final-system/common/ncurses.xml	(revision 6d7d31414b615b629280b2a696ea73213d2a07e2)
+++ BOOK/final-system/common/ncurses.xml	(revision 61ad0b7f48f96d7ead631f94565795d14fab768d)
@@ -84,4 +84,5 @@
       <segtitle>Installed programs</segtitle>
       <segtitle>Installed libraries</segtitle>
+      <segtitle>Installed directories</segtitle>
 
       <seglistitem>
@@ -91,4 +92,5 @@
         libmenuw.[a,so], libncurses++w.a, libncursesw.[a,so], and
         libpanelw.[a,so]</seg>
+        <seg>/usr/share/tabset, /usr/share/terminfo</seg>
       </seglistitem>
     </segmentedlist>
Index: BOOK/final-system/common/perl.xml
===================================================================
--- BOOK/final-system/common/perl.xml	(revision 6d7d31414b615b629280b2a696ea73213d2a07e2)
+++ BOOK/final-system/common/perl.xml	(revision 61ad0b7f48f96d7ead631f94565795d14fab768d)
@@ -123,4 +123,5 @@
       <segtitle>Installed programs</segtitle>
       <segtitle>Installed libraries</segtitle>
+      <segtitle>Installed directory</segtitle>
 
       <seglistitem>
@@ -133,4 +134,5 @@
         xsubpp</seg>
         <seg>Several hundred which cannot all be listed here</seg>
+        <seg>/usr/lib/perl5</seg>
       </seglistitem>
     </segmentedlist>
Index: BOOK/final-system/common/ppl.xml
===================================================================
--- BOOK/final-system/common/ppl.xml	(revision 6d7d31414b615b629280b2a696ea73213d2a07e2)
+++ BOOK/final-system/common/ppl.xml	(revision 61ad0b7f48f96d7ead631f94565795d14fab768d)
@@ -60,8 +60,10 @@
       <segtitle>Installed programs</segtitle>
       <segtitle>Installed libraries</segtitle>
+      <segtitle>Installed directories</segtitle>
 
       <seglistitem>
         <seg>ppl-config, ppl_lcdd</seg>
         <seg>libppl.[a,so], libppl_c.[a,so], libpwl.[a,so]</seg>
+        <seg>/usr/share/doc/ppl, /usr/share/doc/pwl</seg>
       </seglistitem>
     </segmentedlist>
Index: BOOK/final-system/common/readline.xml
===================================================================
--- BOOK/final-system/common/readline.xml	(revision 6d7d31414b615b629280b2a696ea73213d2a07e2)
+++ BOOK/final-system/common/readline.xml	(revision 61ad0b7f48f96d7ead631f94565795d14fab768d)
@@ -73,7 +73,9 @@
     <segmentedlist>
       <segtitle>Installed libraries</segtitle>
+      <segtitle>Installed directories</segtitle>
 
       <seglistitem>
         <seg>libhistory.[a,so], and libreadline.[a,so]</seg>
+        <seg>/usr/include/readline, /usr/share/readline</seg>
       </seglistitem>
     </segmentedlist>
Index: BOOK/final-system/common/rsyslog.xml
===================================================================
--- BOOK/final-system/common/rsyslog.xml	(revision 6d7d31414b615b629280b2a696ea73213d2a07e2)
+++ BOOK/final-system/common/rsyslog.xml	(revision 61ad0b7f48f96d7ead631f94565795d14fab768d)
@@ -131,7 +131,9 @@
     <segmentedlist>
       <segtitle>Installed programs</segtitle>
+      <segtitle>Installed directory</segtitle>
 
       <seglistitem>
         <seg>rsyslogd</seg>
+        <seg>/usr/lib/rsyslog</seg>
       </seglistitem>
     </segmentedlist>
Index: BOOK/final-system/common/sed.xml
===================================================================
--- BOOK/final-system/common/sed.xml	(revision 6d7d31414b615b629280b2a696ea73213d2a07e2)
+++ BOOK/final-system/common/sed.xml	(revision 61ad0b7f48f96d7ead631f94565795d14fab768d)
@@ -55,7 +55,9 @@
     <segmentedlist>
       <segtitle>Installed program</segtitle>
+      <segtitle>Installed directory</segtitle>
 
       <seglistitem>
         <seg>sed</seg>
+        <seg>/usr/share/doc/sed</seg>
       </seglistitem>
     </segmentedlist>
Index: BOOK/final-system/common/shadow.xml
===================================================================
--- BOOK/final-system/common/shadow.xml	(revision 6d7d31414b615b629280b2a696ea73213d2a07e2)
+++ BOOK/final-system/common/shadow.xml	(revision 61ad0b7f48f96d7ead631f94565795d14fab768d)
@@ -146,4 +146,5 @@
     <segmentedlist>
       <segtitle>Installed programs</segtitle>
+      <segtitle>Installed directory</segtitle>
 
       <seglistitem>
@@ -153,4 +154,5 @@
         pwconv, pwunconv, sg (link to newgrp), su, useradd, userdel, usermod,
         vigr (link to vipw), and vipw</seg>
+        <seg>/etc/default</seg>
       </seglistitem>
     </segmentedlist>
Index: BOOK/final-system/common/texinfo.xml
===================================================================
--- BOOK/final-system/common/texinfo.xml	(revision 6d7d31414b615b629280b2a696ea73213d2a07e2)
+++ BOOK/final-system/common/texinfo.xml	(revision 61ad0b7f48f96d7ead631f94565795d14fab768d)
@@ -66,8 +66,10 @@
     <segmentedlist>
       <segtitle>Installed programs</segtitle>
+      <segtitle>Installed directory</segtitle>
 
       <seglistitem>
         <seg>info, infokey, install-info, makeinfo, pdftexi2dvi, texi2dvi,
         texi2pdf, and texindex</seg>
+        <seg>/usr/share/texinfo</seg>
       </seglistitem>
     </segmentedlist>
Index: BOOK/final-system/common/udev.xml
===================================================================
--- BOOK/final-system/common/udev.xml	(revision 6d7d31414b615b629280b2a696ea73213d2a07e2)
+++ BOOK/final-system/common/udev.xml	(revision 61ad0b7f48f96d7ead631f94565795d14fab768d)
@@ -61,5 +61,5 @@
         v4l_id, write_cd_rules, write_net_rules</seg>
         <seg>libudev</seg>
-        <seg>/etc/udev, /lib/udev</seg>
+        <seg>/etc/udev, /lib/firmware, /lib/udev, /usr/share/doc/udev</seg>
       </seglistitem>
     </segmentedlist>
Index: BOOK/final-system/common/util-linux-ng.xml
===================================================================
--- BOOK/final-system/common/util-linux-ng.xml	(revision 6d7d31414b615b629280b2a696ea73213d2a07e2)
+++ BOOK/final-system/common/util-linux-ng.xml	(revision 61ad0b7f48f96d7ead631f94565795d14fab768d)
@@ -108,4 +108,5 @@
       <segtitle>Installed programs</segtitle>
       <segtitle>Installed libraries</segtitle>
+      <segtitle>Installed directories</segtitle>
 
       <seglistitem>
@@ -121,4 +122,6 @@
         uuidd, uuidgen, whereis, and write</seg>
         <seg>libblkid.[a,so] and libuuid.[a,so]</seg>
+        <seg>/usr/include/blkid, /usr/include/uuid, /usr/share/getopt,
+        /var/lib/hwclock</seg>
       </seglistitem>
     </segmentedlist>
Index: BOOK/final-system/common/vim.xml
===================================================================
--- BOOK/final-system/common/vim.xml	(revision 6d7d31414b615b629280b2a696ea73213d2a07e2)
+++ BOOK/final-system/common/vim.xml	(revision 61ad0b7f48f96d7ead631f94565795d14fab768d)
@@ -166,4 +166,5 @@
     <segmentedlist>
       <segtitle>Installed programs</segtitle>
+      <segtitle>Installed directory</segtitle>
 
       <seglistitem>
@@ -172,4 +173,5 @@
         tcltags, vi (link to vim), view (link to vim), vim, vim132, vim2html.pl,
         vimdiff (link to vim), vimm, vimspell.sh, vimtutor, and xxd</seg>
+        <seg>/usr/share/vim</seg>
       </seglistitem>
     </segmentedlist>
Index: BOOK/final-system/common/xz.xml
===================================================================
--- BOOK/final-system/common/xz.xml	(revision 6d7d31414b615b629280b2a696ea73213d2a07e2)
+++ BOOK/final-system/common/xz.xml	(revision 61ad0b7f48f96d7ead631f94565795d14fab768d)
@@ -53,4 +53,5 @@
       <segtitle>Installed programs</segtitle>
       <segtitle>Installed libraries</segtitle>
+      <segtitle>Installed directories</segtitle>
 
       <seglistitem>
@@ -60,4 +61,5 @@
         (link to xz), and xzdec</seg>
         <seg>liblzma.[a,so]</seg>
+        <seg>/usr/include/lzma, /usr/share/doc/xz</seg>
       </seglistitem>
     </segmentedlist>
Index: BOOK/final-system/x86/grub.xml
===================================================================
--- BOOK/final-system/x86/grub.xml	(revision 6d7d31414b615b629280b2a696ea73213d2a07e2)
+++ BOOK/final-system/x86/grub.xml	(revision 61ad0b7f48f96d7ead631f94565795d14fab768d)
@@ -93,7 +93,9 @@
     <segmentedlist>
       <segtitle>Installed programs</segtitle>
+      <segtitle>Installed directories</segtitle>
 
       <seglistitem>
         <seg>grub, grub-install, grub-md5-crypt, grub-set-default, grub-terminfo, and mbchk</seg>
+        <seg>/usr/lib/grub, /boot/grub</seg>
       </seglistitem>
     </segmentedlist>
Index: BOOK/introduction/common/changelog.xml
===================================================================
--- BOOK/introduction/common/changelog.xml	(revision 6d7d31414b615b629280b2a696ea73213d2a07e2)
+++ BOOK/introduction/common/changelog.xml	(revision 61ad0b7f48f96d7ead631f94565795d14fab768d)
@@ -36,4 +36,14 @@
     </listitem>
 -->
+
+    <listitem>
+      <para>May 14, 2010</para>
+      <itemizedlist>
+        <listitem>
+          <para>[Chris] - Added Installed Directories info for all
+          applicable packages.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
 
     <listitem>